loci.formats.dicom

## Enum DicomAttribute

- java.lang.Object
- - java.lang.Enum<DicomAttribute>
  - - loci.formats.dicom.DicomAttribute

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DicomAttribute>

      public enum DicomAttribute
      extends java.lang.Enum<DicomAttribute>

  Describes a DICOM attribute (integer tag, associated description, and expected VR). The full dictionary cannot be represented in an enum as it would greatly exceed Java's bytecode size limitations. This is a subset of the dictionary which includes attributes most likely to be directly referenced. For the full dictionary, see dicom-dictionary.txt.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESSION_NUMBER`
    `ACQUISITION_CONTEXT_SEQUENCE`
    `ACQUISITION_CONTRAST`
    `ACQUISITION_DATE`
    `ACQUISITION_DEVICE_PROCESSING_CODE`
    `ACQUISITION_DEVICE_PROCESSING_DESCRIPTION`
    `ACQUISITION_DURATION`
    `ACQUISITION_MATRIX`
    `ACQUISITION_NUMBER`
    `ACQUISITION_START_CONDITION`
    `ACQUISITION_START_CONDITION_DATA`
    `ACQUISITION_TERMINATION_CONDITION`
    `ACQUISITION_TERMINATION_CONDITION_DATA`
    `ACQUISITION_TIME`
    `ACQUISITION_TIME_SYNCHRONIZED`
    `ACQUISITION_TIMESTAMP`
    `ACQUISITIONS_IN_SERIES`
    `ACTUAL_FRAME_DURATION`
    `ADDITIONAL_DRUG_SEQUENCE`
    `ADDITIONAL_PATIENT_HISTORY`
    `ADMITTING_DIAGNOSES_CODE_SEQUENCE`
    `ADMITTING_DIAGNOSES_DESCRIPTION`
    `ALTERNATE_REPRESENTATION_SEQUENCE`
    `ANATOMIC_REGION_MODIFIER_SEQUENCE`
    `ANATOMIC_REGION_SEQUENCE`
    `ANATOMIC_STRUCTURE_SEQUENCE`
    `ANGIO_FLAG`
    `ANGULAR_POSITION`
    `ANGULAR_STEP`
    `ANODE_TARGET_MATERIAL`
    `APPLICABLE_FRAME_RANGE`
    `AVERAGE_PULSE_WIDTH`
    `BARCODE_VALUE`
    `BEAT_REJECTION_FLAG`
    `BIPLANE_ACQUISITION_SEQUENCE`
    `BITS_ALLOCATED`
    `BITS_STORED`
    `BLUE_LUT_DATA`
    `BLUE_LUT_DESCRIPTOR`
    `BODY_PART_EXAMINED`
    `BODY_PART_THICKNESS`
    `BONE_THERMAL_INDEX`
    `BORDER_DENSITY`
    `BRANCH_OF_SERVICE`
    `BURNED_IN_ANNOTATION`
    `CARDIAC_NUMBER_OF_IMAGES`
    `CASSETTE_ORIENTATION`
    `CASSETTE_SIZE`
    `CENTER_OF_CIRCULAR_COLLIMATOR`
    `CENTER_OF_CIRCULAR_SHUTTER`
    `CENTER_OF_ROTATION_OFFSET`
    `CHANNEL_DESCRIPTION_CODE_SEQUENCE`
    `CHARSET_OF_FILE_SET_DESCRIPTOR_FILE`
    `CINE_RATE`
    `CLASSES_IN_STUDY`
    `CLINICAL_TRIAL_COORDINATING_CENTER`
    `CLINICAL_TRIAL_PROTOCOL_ID`
    `CLINICAL_TRIAL_PROTOCOL_NAME`
    `CLINICAL_TRIAL_SITE_ID`
    `CLINICAL_TRIAL_SITE_NAME`
    `CLINICAL_TRIAL_SPONSOR_NAME`
    `CLINICAL_TRIAL_SUBJECT_ID`
    `CLINICAL_TRIAL_SUBJECT_READING_ID`
    `CLINICAL_TRIAL_TIME_POINT_DESCRIPTION`
    `CLINICAL_TRIAL_TIME_POINT_ID`
    `CODE_MEANING`
    `CODE_VALUE`
    `CODING_SCHEME_DESIGNATOR`
    `CODING_SCHEME_EXTERNAL_ID`
    `CODING_SCHEME_ID`
    `CODING_SCHEME_NAME`
    `CODING_SCHEME_REGISTRY`
    `CODING_SCHEME_UID`
    `CODING_SCHEME_VERSION`
    `COLLIMATOR_GRID_NAME`
    `COLLIMATOR_LEFT_VERTICAL_EDGE`
    `COLLIMATOR_LOWER_HORIZONTAL_EDGE`
    `COLLIMATOR_RIGHT_VERTICAL_EDGE`
    `COLLIMATOR_SHAPE`
    `COLLIMATOR_TYPE`
    `COLLIMATOR_UPPER_HORIZONTAL_EDGE`
    `COLOR_SPACE`
    `COLUMN_ANGULATION`
    `COLUMN_POSITION_IN_MATRIX`
    `COLUMNS`
    `COMPLEX_IMAGE_COMPONENT`
    `COMPRESSION_FORCE`
    `CONCATENATION_FRAME_OFFSET_NUMBER`
    `CONDENSER_LENS_POWER`
    `CONTAINER_ID`
    `CONTAINER_ID_ISSUER_SEQUENCE`
    `CONTAINER_TYPE_CODE_SEQUENCE`
    `CONTENT_DATE`
    `CONTENT_TIME`
    `CONTEXT_GROUP_EXTENSION_CREATOR`
    `CONTEXT_GROUP_EXTENSION_FLAG`
    `CONTEXT_GROUP_LOCAL_VERSION`
    `CONTEXT_GROUP_VERSION`
    `CONTEXT_ID`
    `CONTRAST_ALLERGIES`
    `CONTRAST_BOLUS_ADMIN_ROUTE_SEQUENCE`
    `CONTRAST_BOLUS_AGENT`
    `CONTRAST_BOLUS_AGENT_SEQUENCE`
    `CONTRAST_BOLUS_INGREDIENT`
    `CONTRAST_BOLUS_ROUTE`
    `CONTRAST_BOLUS_START_TIME`
    `CONTRAST_BOLUS_STOP_TIME`
    `CONTRAST_BOLUS_TOTAL_DOSE`
    `CONTRAST_BOLUS_VOLUME`
    `CONTRAST_FLOW_DURATION`
    `CONTRAST_FLOW_RATE`
    `CONTRAST_FRAME_AVERAGING`
    `CONTRAST_INGREDIENT_CONCENTRATION`
    `CONVERSION_TYPE`
    `CONVOLUTION_KERNEL`
    `CORRECTED_IMAGE`
    `COUNT_RATE`
    `COUNTRY_OF_RESIDENCE`
    `COUNTS_ACCUMULATED`
    `CRANIAL_THERMAL_INDEX`
    `CREATION_DATE`
    `CREATION_TIME`
    `CREATOR_VERSION_UID`
    `CURVE_DATE`
    `CURVE_TIME`
    `DATA_COLLECTION_DIAMETER`
    `DATA_POINT_COLUMNS`
    `DATA_POINT_ROWS`
    `DATA_REPRESENTATION`
    `DATASET_SUBTYPE`
    `DATE_OF_LAST_CALIBRATION`
    `DATE_OF_LAST_DETECTOR_CALIBRATION`
    `DATE_OF_SECONDARY_CAPTURE`
    `DB_DT`
    `DEPTH_OF_SCAN_FIELD`
    `DERIVATION_CODE_SEQUENCE`
    `DERIVATION_DESCRIPTION`
    `DERIVATION_IMAGE_SEQUENCE`
    `DETECTOR_ACTIVATION_OFFSET`
    `DETECTOR_ACTIVE_DIMENSIONS`
    `DETECTOR_ACTIVE_ORIGIN`
    `DETECTOR_ACTIVE_SHAPE`
    `DETECTOR_ACTIVE_TIME`
    `DETECTOR_BINNING`
    `DETECTOR_CONDITIONS_NOMINAL_FLAG`
    `DETECTOR_CONFIGURATION`
    `DETECTOR_DESCRIPTION`
    `DETECTOR_ELEMENT_PHYSICAL_SIZE`
    `DETECTOR_ELEMENT_SPACING`
    `DETECTOR_ID`
    `DETECTOR_MANUFACTURER_NAME`
    `DETECTOR_MODE`
    `DETECTOR_MODEL_NAME`
    `DETECTOR_PRIMARY_ANGLE`
    `DETECTOR_SECONDARY_ANGLE`
    `DETECTOR_TEMPERATURE`
    `DETECTOR_TIME_SINCE_LAST_EXPOSURE`
    `DETECTOR_TYPE`
    `DEVICE_SERIAL_NUMBER`
    `DIGITAL_IMAGE_FORMAT_ACQUIRED`
    `DIGITIZING_DEVICE_TRANSPORT_DIRECTION`
    `DIMENSION_DESCRIPTION_LABEL`
    `DIMENSION_INDEX_POINTER`
    `DIMENSION_INDEX_PRIVATE_CREATOR`
    `DIMENSION_INDEX_SEQUENCE`
    `DIMENSION_INDEX_VALUES`
    `DIMENSION_ORGANIZATION_SEQUENCE`
    `DIMENSION_ORGANIZATION_TYPE`
    `DIMENSION_ORGANIZATION_UID`
    `DIRECTORY_RECORD_SEQUENCE`
    `DIRECTORY_RECORD_TYPE`
    `DISPLAY_WINDOW_LABEL_VECTOR`
    `DISTANCE_BETWEEN_FOCAL_PLANES`
    `DISTANCE_SOURCE_TO_DETECTOR`
    `DISTANCE_SOURCE_TO_PATIENT`
    `DOPPLER_CORRECTION_ANGLE`
    `DOPPLER_SAMPLE_VOLUME_X_POSITION`
    `DOPPLER_SAMPLE_VOLUME_Y_POSITION`
    `DOUBLE_FLOAT_PIXEL_DATA`
    `ECHO_NUMBER`
    `ECHO_TIME`
    `ECHO_TRAIN_LENGTH`
    `EFFECTIVE_DURATION`
    `ESTIMATED_RADIOGRAPHIC_MAG_FACTOR`
    `ETHNIC_GROUP`
    `EVENT_ELAPSED_TIME`
    `EVENT_TIMER_NAME`
    `EXPOSURE`
    `EXPOSURE_CONTROL_MODE`
    `EXPOSURE_IN_UAS`
    `EXPOSURE_TIME`
    `EXPOSURES_ON_PLATE`
    `EXTENDED_DEPTH_OF_FIELD`
    `EXTENDED_OFFSET_TABLE`
    `EXTENDED_OFFSET_TABLE_LENGTHS`
    `FAILED_SOP_SEQUENCE`
    `FAILED_SOP_UID_LIST`
    `FAILURE_REASON`
    `FILE_META_INFO_GROUP_LENGTH`
    `FILE_META_INFO_VERSION`
    `FILE_SET_CONSISTENCY_FLAG`
    `FILE_SET_DESCRIPTOR_FILE_ID`
    `FILE_SET_ID`
    `FILTER_MATERIAL`
    `FILTER_THICKNESS_MAX`
    `FILTER_THICKNESS_MIN`
    `FILTER_TYPE`
    `FLIP_ANGLE`
    `FLOAT_PIXEL_DATA`
    `FOCAL_DISTANCE`
    `FOCAL_SPOTS`
    `FOCUS_DEPTH`
    `FOCUS_METHOD`
    `FOV_DIMENSIONS`
    `FOV_HORIZONTAL_FLIP`
    `FOV_ORIGIN`
    `FOV_ROTATION`
    `FOV_SHAPE`
    `FRAME_ACQUISITION_DATETIME`
    `FRAME_ACQUISITION_DURATION`
    `FRAME_CONTENT_SEQUENCE`
    `FRAME_DELAY`
    `FRAME_DIMENSION_POINTER`
    `FRAME_INCREMENT_POINTER`
    `FRAME_LABEL_VECTOR`
    `FRAME_NUMBERS_OF_INTEREST`
    `FRAME_OF_INTEREST_DESCRIPTION`
    `FRAME_OF_INTEREST_TYPE`
    `FRAME_OF_REFERENCE_UID`
    `FRAME_PRIMARY_ANGLE_VECTOR`
    `FRAME_REFERENCE_DATETIME`
    `FRAME_SECONDARY_ANGLE_VECTOR`
    `FRAME_TIME`
    `FRAME_TIME_VECTOR`
    `FRAME_TYPE`
    `FRAME_VOI_LUT_SEQUENCE`
    `FRAMING_TYPE`
    `FUNCTIONAL_GROUP_POINTER`
    `FUNCTIONAL_GROUP_PRIVATE_CREATOR`
    `GANTRY_DETECTOR_SKEW`
    `GANTRY_DETECTOR_TILT`
    `GENERATOR_POWER`
    `GREEN_LUT_DATA`
    `GREEN_LUT_DESCRIPTOR`
    `GRID`
    `GRID_ABSORBING_MATERIAL`
    `GRID_ASPECT_RATIO`
    `GRID_FOCAL_DISTANCE`
    `GRID_PERIOD`
    `GRID_PITCH`
    `GRID_SPACING_MATERIAL`
    `GRID_THICKNESS`
    `HARDCOPY_CREATION_DEVICE_ID`
    `HARDCOPY_DEVICE_MANUFACTURER`
    `HARDCOPY_DEVICE_MODEL_NAME`
    `HARDCOPY_DEVICE_SOFTWARE_VERSION`
    `HEART_RATE`
    `HIGH_BIT`
    `HIGH_RR_VALUE`
    `ICC_PROFILE`
    `ICON_IMAGE_SEQUENCE`
    `ILLUMINATION_COLOR_CODE_SEQUENCE`
    `ILLUMINATION_TYPE_CODE_SEQUENCE`
    `ILLUMINATION_WAVELENGTH`
    `ILLUMINATOR_TYPE_CODE_SEQUENCE`
    `IMAGE_AREA_DOSE_PRODUCT`
    `IMAGE_GEOMETRY_TYPE`
    `IMAGE_ID`
    `IMAGE_ORIENTATION_PATIENT`
    `IMAGE_PATH_FILTER_PASS_BAND`
    `IMAGE_PATH_FILTER_PASSTHROUGH_WAVELENGTH`
    `IMAGE_PATH_FILTER_TYPE_STACK_CODE_SEQUENCE`
    `IMAGE_POSITION`
    `IMAGE_POSITION_PATIENT`
    `IMAGE_TRIGGER_DELAY`
    `IMAGE_TYPE`
    `IMAGED_NUCLEUS`
    `IMAGED_VOLUME_DEPTH`
    `IMAGED_VOLUME_HEIGHT`
    `IMAGED_VOLUME_WIDTH`
    `IMAGER_PIXEL_SPACING`
    `IMAGING_FREQUENCY`
    `IMPLANT_PRESENT`
    `IMPLEMENTATION_UID`
    `IMPLEMENTATION_VERSION`
    `IN_CONCATENATION_NUMBER`
    `INPLANE_PHASE_ENCODING_DIRECTION`
    `INSTANCE_AVAILABILITY`
    `INSTANCE_CREATOR`
    `INSTANCE_NUMBER`
    `INSTITUTION_ADDRESS`
    `INSTITUTION_CODE_SEQUENCE`
    `INSTITUTION_NAME`
    `INSTITUTIONAL_DEPARTMENT_NAME`
    `INTENSIFIER_SIZE`
    `INTERVALS_ACQUIRED`
    `INTERVALS_REJECTED`
    `INTERVENTION_DESCRIPTION`
    `INTERVENTION_DRUG_DOSE`
    `INTERVENTION_DRUG_INFORMATION_SEQUENCE`
    `INTERVENTION_DRUG_NAME`
    `INTERVENTION_DRUG_SEQUENCE`
    `INTERVENTION_DRUG_START_TIME`
    `INTERVENTION_DRUG_STOP_TIME`
    `INTERVENTION_SEQUENCE`
    `INTERVENTION_STATUS`
    `INVALID`
    `INVALID_PIXEL_DATA`
    `INVERSION_TIME`
    `ISSUER_OF_PATIENT_ID`
    `ITEM`
    `ITEM_DELIMITATION_ITEM`
    `IVUS_ACQUISITION`
    `IVUS_GATED_RATE`
    `IVUS_PULLBACK_RATE`
    `IVUS_PULLBACK_START_FRAME_NUMBER`
    `IVUS_PULLBACK_STOP_FRAME_NUMBER`
    `KVP`
    `LABEL_TEXT`
    `LARGEST_IMAGE_PIXEL_VALUE`
    `LARGEST_IMAGE_PIXEL_VALUE_IN_PLANE`
    `LARGEST_PIXEL_VALUE_IN_SERIES`
    `LAST_MENSTRUAL_DATE`
    `LENSES_CODE_SEQUENCE`
    `LESION_NUMBER`
    `LIGHT_PATH_FILTER_PASS_BAND`
    `LIGHT_PATH_FILTER_PASSTHROUGH_WAVELENGTH`
    `LIGHT_PATH_FILTER_TYPE_STACK_CODE_SEQUENCE`
    `LOCATION`
    `LOSSY_IMAGE_COMPRESSION`
    `LOSSY_IMAGE_COMPRESSION_METHOD`
    `LOSSY_IMAGE_COMPRESSION_RATIO`
    `LOW_RR_VALUE`
    `LUT_DATA`
    `LUT_DESCRIPTOR`
    `LUT_EXPLANATION`
    `MAGNETIC_FIELD_STRENGTH`
    `MANUFACTURER`
    `MANUFACTURER_MODEL_NAME`
    `MAPPING_RESOURCE`
    `MASK_FRAME_NUMBERS`
    `MASK_OPERATION`
    `MASK_OPERATION_EXPLANATION`
    `MASK_SUBPIXEL_SHIFT`
    `MASK_SUBTRACTION_SEQUENCE`
    `MECHANICAL_INDEX`
    `MEDIA_SOP_CLASS_UID`
    `MEDIA_SOP_INSTANCE_UID`
    `MEDICAL_ALERTS`
    `MEDICAL_RECORD_LOCATOR`
    `MILITARY_RANK`
    `MODALITIES_IN_STUDY`
    `MODALITY`
    `MODALITY_LUT_SEQUENCE`
    `MODALITY_LUT_TYPE`
    `MR_ACQUISITION_TYPE`
    `MRDR_RECORD_OFFSET`
    `MULTIPLEX_GROUP_TIME_OFFSET`
    `NOMINAL_INTERVAL`
    `NOMINAL_SCANNED_PIXEL_SPACING`
    `NTP_SOURCE_ADDRESS`
    `NUMBER_OF_AVERAGES`
    `NUMBER_OF_DETECTORS`
    `NUMBER_OF_ENERGY_WINDOWS`
    `NUMBER_OF_EVENT_TIMERS`
    `NUMBER_OF_FOCAL_PLANES`
    `NUMBER_OF_FRAMES`
    `NUMBER_OF_PHASE_ENCODING_STEPS`
    `NUMBER_OF_REFERENCES`
    `NUMBER_OF_ROTATIONS`
    `NUMBER_OF_SLICES`
    `NUMBER_OF_STAGES`
    `NUMBER_OF_TABLE_BREAK_POINTS`
    `NUMBER_OF_TABLE_ENTRIES`
    `NUMBER_OF_TOMOSYNTHESIS_SOURCE_IMAGES`
    `NUMBER_OF_VIEWS_STAGE`
    `NUMBER_OPTICAL_PATHS`
    `OBJECTIVE_LENS_NA`
    `OBJECTIVE_LENS_POWER`
    `OCCUPATION`
    `OFFSET_FIRST_DIRECTORY_RECORD`
    `OFFSET_LAST_DIRECTORY_RECORD`
    `OFFSET_OF_NEXT_DIRECTORY_RECORD`
    `OFFSET_OF_REFERENCED_DIRECTORY`
    `OPERATOR_ID`
    `OPERATOR_NAME`
    `OPTICAL_PATH_DESCRIPTION`
    `OPTICAL_PATH_ID`
    `OPTICAL_PATH_ID_SEQUENCE`
    `OPTICAL_PATH_SEQUENCE`
    `ORIGINAL_SOP_CLASS_UID`
    `OTHER_PATIENT_IDS`
    `OTHER_PATIENT_NAMES`
    `OUTPUT_POWER`
    `OVERLAY_DATE`
    `OVERLAY_TIME`
    `PAGE_NUMBER_VECTOR`
    `PALETTE_COLOR_LUT_SEQUENCE`
    `PALETTE_LUT_UID`
    `PARTIAL_VIEW`
    `PARTIAL_VIEW_DESCRIPTION`
    `PATIENT_ADDRESS`
    `PATIENT_AGE`
    `PATIENT_BIRTH_DATE`
    `PATIENT_BIRTH_NAME`
    `PATIENT_BIRTH_TIME`
    `PATIENT_COMMENTS`
    `PATIENT_ID`
    `PATIENT_INSURANCE_PLAN_CODE`
    `PATIENT_MOTHER_BIRTH_NAME`
    `PATIENT_NAME`
    `PATIENT_ORIENTATION`
    `PATIENT_POSITION`
    `PATIENT_PRIMARY_LANGUAGE_CODE`
    `PATIENT_PRIMARY_LANGUAGE_MODIFIER`
    `PATIENT_RELIGIOUS_PREFERENCE`
    `PATIENT_SEX`
    `PATIENT_SIZE`
    `PATIENT_TELEPHONE_NUMBER`
    `PATIENT_WEIGHT`
    `PER_FRAME_FUNCTIONAL_GROUPS_SEQUENCE`
    `PERCENT_PHASE_FOV`
    `PERCENT_SAMPLING`
    `PHOSPHOR_TYPE`
    `PHOTOMETRIC_INTERPRETATION`
    `PHYSICAL_DELTA_X`
    `PHYSICAL_DELTA_Y`
    `PHYSICAL_UNITS_X_DIRECTION`
    `PHYSICAL_UNITS_Y_DIRECTION`
    `PHYSICIAN_ID`
    `PHYSICIAN_NAME`
    `PHYSICIAN_READING`
    `PHYSICIAN_READING_ID`
    `PHYSICIANS`
    `PHYSICIANS_ID`
    `PIXEL_ASPECT_RATIO`
    `PIXEL_BANDWIDTH`
    `PIXEL_COMPONENT_DATA_TYPE`
    `PIXEL_COMPONENT_MASK`
    `PIXEL_COMPONENT_ORGANIZATION`
    `PIXEL_COMPONENT_PHYSICAL_UNITS`
    `PIXEL_COMPONENT_RANGE_START`
    `PIXEL_COMPONENT_RANGE_STOP`
    `PIXEL_DATA`
    `PIXEL_DATA_LENGTH`
    `PIXEL_INTENSITY_RELATIONSHIP`
    `PIXEL_MEASURES_SEQUENCE`
    `PIXEL_PADDING_VALUE`
    `PIXEL_PRESENTATION`
    `PIXEL_REPRESENTATION`
    `PIXEL_SIGN`
    `PIXEL_SPACING`
    `PIXEL_VALUE_TRANSFORMATION_SEQUENCE`
    `PLANAR_CONFIGURATION`
    `PLANE_POSITION_SLIDE_SEQUENCE`
    `PLANES`
    `PLATE_ID`
    `PLATE_TYPE`
    `POSITIONER_MOTION`
    `POSITIONER_PRIMARY_ANGLE`
    `POSITIONER_PRIMARY_ANGLE_INCREMENT`
    `POSITIONER_SECONDARY_ANGLE`
    `POSITIONER_SECONDARY_ANGLE_INCREMENT`
    `POSITIONER_TYPE`
    `POSTPROCESSING_FUNCTION`
    `PREFERRED_PLAYBACK_SEQUENCING`
    `PREGNANCY_STATUS`
    `PRESENTATION_INTENT_TYPE`
    `PRESENTATION_LUT_SHAPE`
    `PRIMARY_ANATOMIC_STRUCTURE_MODIFIER`
    `PRIMARY_ANATOMIC_STRUCTURE_SEQUENCE`
    `PRIVATE_RECORD_UID`
    `PROCEDURE_CODE_SEQUENCE`
    `PROCESSING_FUNCTION`
    `PROJECTION_EPONYMOUS_NAME_CODE`
    `PROTOCOL_NAME`
    `PULSE_REPETITION_FREQUENCY`
    `PVC_REJECTION`
    `QUALITY_CONTROL_IMAGE`
    `QUERY_LEVEL`
    `R_WAVE_POINTER`
    `R_WAVE_TIME_VECTOR`
    `RADIAL_POSITION`
    `RADIATION_MODE`
    `RADIATION_SETTING`
    `RADIONUCLIDE_HALF_LIFE`
    `RADIONUCLIDE_POSITRON_FRACTION`
    `RADIONUCLIDE_TOTAL_DOSE`
    `RADIOPHARMACEUTICAL`
    `RADIOPHARMACEUTICAL_ROUTE`
    `RADIOPHARMACEUTICAL_SPECIFIC_ACTIVITY`
    `RADIOPHARMACEUTICAL_START_TIME`
    `RADIOPHARMACEUTICAL_STOP_TIME`
    `RADIOPHARMACEUTICAL_VOLUME`
    `RADIUS_OF_CIRCULAR_COLLIMATOR`
    `RADIUS_OF_CIRCULAR_SHUTTER`
    `RECEIVE_COIL_NAME`
    `RECOGNITION_CODE`
    `RECOMMENDED_ABSENT_PIXEL_CIELAB_VALUE`
    `RECOMMENDED_DISPLAY_FRAMERATE`
    `RECOMMENDED_VIEWING_MODE`
    `RECONSTRUCTION_DIAMETER`
    `RECORD_IN_USE_FLAG`
    `RECTIFICATION_TYPE`
    `RED_LUT_DATA`
    `RED_LUT_DESCRIPTOR`
    `REFERENCE`
    `REFERENCE_GRAYSCALE_PRESENTATION_STATE`
    `REFERENCE_PIXEL_PHYSICAL_VALUE_X`
    `REFERENCE_PIXEL_PHYSICAL_VALUE_Y`
    `REFERENCE_PIXEL_X0`
    `REFERENCE_PIXEL_Y0`
    `REFERENCED_CURVE_SEQUENCE`
    `REFERENCED_FILE_ID`
    `REFERENCED_FRAME_NUMBER`
    `REFERENCED_IMAGE_EVIDENCE_SEQUENCE`
    `REFERENCED_IMAGE_NAVIGATION_SEQUENCE`
    `REFERENCED_IMAGE_SEQUENCE`
    `REFERENCED_INSTANCE_SEQUENCE`
    `REFERENCED_OVERLAY_SEQUENCE`
    `REFERENCED_PATIENT_SEQUENCE`
    `REFERENCED_PERFORMED_PROCEDURE_STEP`
    `REFERENCED_RAW_DATA_SEQUENCE`
    `REFERENCED_RELATED_SOP_CLASS_UID_FILE`
    `REFERENCED_RESULTS_SEQUENCE`
    `REFERENCED_SERIES_SEQUENCE`
    `REFERENCED_SOP_CLASS_UID`
    `REFERENCED_SOP_CLASS_UID_FILE`
    `REFERENCED_SOP_INSTANCE_UID`
    `REFERENCED_SOP_INSTANCE_UID_FILE`
    `REFERENCED_SOP_SEQUENCE`
    `REFERENCED_STUDY_SEQUENCE`
    `REFERENCED_TRANSFER_SYNTAX_UID_FILE`
    `REFERENCED_VISIT_SEQUENCE`
    `REFERENCED_WAVEFORM_SEQUENCE`
    `REFERRING_PHYSICIAN_ADDRESS`
    `REFERRING_PHYSICIAN_ID`
    `REFERRING_PHYSICIAN_NAME`
    `REFERRING_PHYSICIAN_TELEPHONE`
    `REGION_DATA_TYPE`
    `REGION_FLAGS`
    `REGION_LOCATION_MAX_X1`
    `REGION_LOCATION_MAX_Y1`
    `REGION_LOCATION_MIN_X0`
    `REGION_LOCATION_MIN_Y0`
    `REGION_OF_RESIDENCE`
    `REGION_SPATIAL_FORMAT`
    `RELATED_SERIES_SEQUENCE`
    `RELATED_SOP_CLASS_UID`
    `RELATIVE_XRAY_EXPOSURE`
    `REPETITION_TIME`
    `REPRESENTATIVE_FRAME_NUMBER`
    `RESCALE_INTERCEPT`
    `RESCALE_SLOPE`
    `RESCALE_TYPE`
    `RESPONSIBLE_ORGANIZATION`
    `RETRIEVE_TITLE`
    `ROTATION_DIRECTION`
    `ROTATION_OF_SCANNED_FILM`
    `ROW_POSITION_IN_MATRIX`
    `ROWS`
    `SAMPLES_PER_PIXEL`
    `SAMPLES_PER_PIXEL_USED`
    `SAR`
    `SCAN_ARC`
    `SCAN_LENGTH`
    `SCAN_OPTIONS`
    `SCAN_VELOCITY`
    `SCANNING_SEQUENCE`
    `SECONDARY_CAPTURE_DEVICE_ID`
    `SECONDARY_CAPTURE_DEVICE_MANUFACTURER`
    `SECONDARY_CAPTURE_DEVICE_MODEL_NAME`
    `SECONDARY_CAPTURE_DEVICE_SOFTWARE_VERSION`
    `SEGMENTED_BLUE_LUT_DATA`
    `SEGMENTED_GREEN_LUT_DATA`
    `SEGMENTED_RED_LUT_DATA`
    `SENSITIVITY`
    `SEQUENCE_DELIMITATION_ITEM`
    `SEQUENCE_NAME`
    `SEQUENCE_OF_ULTRASOUND_REGIONS`
    `SEQUENCE_VARIANT`
    `SERIES_DATE`
    `SERIES_DESCRIPTION`
    `SERIES_INSTANCE_UID`
    `SERIES_NUMBER`
    `SERIES_TIME`
    `SHARED_FUNCTIONAL_GROUPS_SEQUENCE`
    `SHUTTER_LEFT_VERTICAL_EDGE`
    `SHUTTER_LOWER_HORIZONTAL_EDGE`
    `SHUTTER_OVERLAY_GROUP`
    `SHUTTER_PRESENTATION_VALUE`
    `SHUTTER_RIGHT_VERTICAL_EDGE`
    `SHUTTER_SHAPE`
    `SHUTTER_UPPER_HORIZONTAL_EDGE`
    `SIGNAL_DOMAIN_COLUMNS`
    `SIGNAL_DOMAIN_ROWS`
    `SKIP_BEATS`
    `SLICE_LOCATION`
    `SLICE_LOCATION_VECTOR`
    `SLICE_SPACING`
    `SLICE_THICKNESS`
    `SLICE_VECTOR`
    `SLIDE_IMAGE_ORIENTATION`
    `SMALLEST_IMAGE_PIXEL_VALUE`
    `SMALLEST_IMAGE_PIXEL_VALUE_IN_PLANE`
    `SMALLEST_PIXEL_VALUE_IN_SERIES`
    `SMOKING_STATUS`
    `SOFT_TISSUE_FOCUS_THERMAL_INDEX`
    `SOFT_TISSUE_SURFACE_THERMAL_INDEX`
    `SOFT_TISSUE_THERMAL_INDEX`
    `SOFTCOPY_VOI_LUT_SEQUENCE`
    `SOFTWARE_VERSION`
    `SOP_CLASS_UID`
    `SOP_CLASSES_SUPPORTED`
    `SOP_INSTANCE_UID`
    `SOURCE_APPLICATION`
    `SOURCE_IMAGE_EVIDENCE_SEQUENCE`
    `SOURCE_IMAGE_SEQUENCE`
    `SPATIAL_RESOLUTION`
    `SPECIFIC_CHARSET`
    `SPECIMEN_DESCRIPTION_SEQUENCE`
    `SPECIMEN_ID`
    `SPECIMEN_ID_ISSUER_SEQUENCE`
    `SPECIMEN_LABEL_IN_IMAGE`
    `SPECIMEN_PREP_SEQUENCE`
    `SPECIMEN_UID`
    `STAGE_NAME`
    `STAGE_NUMBER`
    `START_TRIM`
    `STATION_NAME`
    `STEERING_ANGLE`
    `STOP_TRIM`
    `STUDIES_WITH_REFERENCED_INSTANCES`
    `STUDY_DATE`
    `STUDY_DESCRIPTION`
    `STUDY_ID`
    `STUDY_INSTANCE_UID`
    `STUDY_TIME`
    `SYNCHRONIZATION_CHANNEL`
    `SYNCHRONIZATION_TRIGGER`
    `SYRINGE_COUNTS`
    `TABLE_ANGLE`
    `TABLE_HEIGHT`
    `TABLE_LATERAL_INCREMENT`
    `TABLE_LONGITUDINAL_INCREMENT`
    `TABLE_MOTION`
    `TABLE_OF_PARAMETER_VALUES`
    `TABLE_OF_PIXEL_VALUES`
    `TABLE_OF_X_BREAK_POINTS`
    `TABLE_OF_Y_BREAK_POINTS`
    `TABLE_TRAVERSE`
    `TABLE_TYPE`
    `TABLE_VERTICAL_INCREMENT`
    `TID_OFFSET`
    `TIME_DISTRIBUTION_PROTOCOL`
    `TIME_OF_LAST_CALIBRATION`
    `TIME_OF_LAST_DETECTOR_CALIBRATION`
    `TIME_OF_SECONDARY_CAPTURE`
    `TIME_SOURCE`
    `TIMEZONE_OFFSET_UTC`
    `TM_LINE_POSITION_X0`
    `TM_LINE_POSITION_X1`
    `TM_LINE_POSITION_Y0`
    `TM_LINE_POSITION_Y1`
    `TOMO_ANGLE`
    `TOMO_CLASS`
    `TOMO_LAYER_HEIGHT`
    `TOMO_TIME`
    `TOMO_TYPE`
    `TOTAL_PIXEL_MATRIX_COLUMNS`
    `TOTAL_PIXEL_MATRIX_FOCAL_PLANES`
    `TOTAL_PIXEL_MATRIX_ORIGIN_SEQUENCE`
    `TOTAL_PIXEL_MATRIX_ROWS`
    `TRAILING_PADDING`
    `TRANSACTION_UID`
    `TRANSDUCER_DATA`
    `TRANSDUCER_FREQUENCY`
    `TRANSDUCER_ORIENTATION_MODIFIER`
    `TRANSDUCER_ORIENTATION_SEQUENCE`
    `TRANSDUCER_POSITION_MODIFIER_SEQUENCE`
    `TRANSDUCER_POSITION_SEQUENCE`
    `TRANSDUCER_TYPE`
    `TRANSFER_SYNTAX_UID`
    `TRANSMIT_COIL_NAME`
    `TRIGGER_SAMPLE_POSITION`
    `TRIGGER_SOURCE_OR_TYPE`
    `TRIGGER_TIME`
    `TRIGGER_TIME_OFFSET`
    `TRIGGER_WINDOW`
    `TYPE_OF_DETECTOR_MOTION`
    `TYPE_OF_FILTERS`
    `ULTRASOUND_COLOR_DATA_PRESENT`
    `VARIABLE_FLIP_ANGLE_FLAG`
    `VARIABLE_PIXEL_DATA`
    `VERTICES_OF_POLYGONAL_COLLIMATOR`
    `VERTICES_OF_POLYGONAL_SHUTTER`
    `VIDEO_IMAGE_FORMAT_ACQUIRED`
    `VIEW_NAME`
    `VIEW_NUMBER`
    `VIEW_POSITION`
    `VOI_LUT_SEQUENCE`
    `VOLUME_BASED_CALCULATION_TECHNIQUE`
    `VOLUMETRIC_PROPERTIES`
    `WHOLE_BODY_TECHNIQUE`
    `WHOLE_SLIDE_FRAME_TYPE_SEQUENCE`
    `WINDOW_CENTER`
    `WINDOW_CENTER_AND_WIDTH_EXPLANATION`
    `WINDOW_WIDTH`
    `X_FOCUS_CENTER`
    `X_OFFSET_IN_SLIDE`
    `XRAY_TUBE_CURRENT`
    `Y_FOCUS_CENTER`
    `Y_OFFSET_IN_SLIDE`
    `Z_OFFSET_IN_SLIDE`
    `ZOOM_CENTER`
    `ZOOM_FACTOR`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private DicomVR` | `defaultVR`
    `private java.lang.String` | `description`
    `private static java.util.Map<java.lang.Integer,java.lang.String[]>` | `dict`
    `private static java.util.Map<java.lang.Integer,DicomAttribute>` | `lookup`
    `private static java.util.Map<java.lang.String,java.lang.Integer>` | `nameLookup`
    `private int` | `tag`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `formatTag(int tag)` Format the given tag as a pair of comma-separated hex strings.
    `static DicomAttribute` | `get(int newTag)` Lookup the attribute for the given tag.
    `DicomVR` | `getDefaultVR()` Get the known default VR for this attribute, or IMPLICIT if our dictionary does not include a default VR.
    `static DicomVR` | `getDefaultVR(int newTag)`
    `java.lang.String` | `getDescription()` Get the human-readable description associated with this attribute.
    `static java.lang.String` | `getDescription(int newTag)`
    `int` | `getTag()` Get the 4 byte integer tag.
    `static java.lang.Integer` | `getTag(java.lang.String description)`
    `private void` | `update()`
    `static DicomAttribute` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DicomAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE_META_INFO_GROUP_LENGTH

          public static final DicomAttribute FILE_META_INFO_GROUP_LENGTH

    - #### FILE_META_INFO_VERSION

          public static final DicomAttribute FILE_META_INFO_VERSION

    - #### MEDIA_SOP_CLASS_UID

          public static final DicomAttribute MEDIA_SOP_CLASS_UID

    - #### MEDIA_SOP_INSTANCE_UID

          public static final DicomAttribute MEDIA_SOP_INSTANCE_UID

    - #### TRANSFER_SYNTAX_UID

          public static final DicomAttribute TRANSFER_SYNTAX_UID

    - #### IMPLEMENTATION_UID

          public static final DicomAttribute IMPLEMENTATION_UID

    - #### IMPLEMENTATION_VERSION

          public static final DicomAttribute IMPLEMENTATION_VERSION

    - #### SOURCE_APPLICATION

          public static final DicomAttribute SOURCE_APPLICATION

    - #### SPECIFIC_CHARSET

          public static final DicomAttribute SPECIFIC_CHARSET

    - #### IMAGE_TYPE

          public static final DicomAttribute IMAGE_TYPE

    - #### RECOGNITION_CODE

          public static final DicomAttribute RECOGNITION_CODE

    - #### CREATION_DATE

          public static final DicomAttribute CREATION_DATE

    - #### CREATION_TIME

          public static final DicomAttribute CREATION_TIME

    - #### INSTANCE_CREATOR

          public static final DicomAttribute INSTANCE_CREATOR

    - #### SOP_CLASS_UID

          public static final DicomAttribute SOP_CLASS_UID

    - #### SOP_INSTANCE_UID

          public static final DicomAttribute SOP_INSTANCE_UID

    - #### RELATED_SOP_CLASS_UID

          public static final DicomAttribute RELATED_SOP_CLASS_UID

    - #### ORIGINAL_SOP_CLASS_UID

          public static final DicomAttribute ORIGINAL_SOP_CLASS_UID

    - #### STUDY_DATE

          public static final DicomAttribute STUDY_DATE

    - #### SERIES_DATE

          public static final DicomAttribute SERIES_DATE

    - #### ACQUISITION_DATE

          public static final DicomAttribute ACQUISITION_DATE

    - #### CONTENT_DATE

          public static final DicomAttribute CONTENT_DATE

    - #### OVERLAY_DATE

          public static final DicomAttribute OVERLAY_DATE

    - #### CURVE_DATE

          public static final DicomAttribute CURVE_DATE

    - #### ACQUISITION_TIMESTAMP

          public static final DicomAttribute ACQUISITION_TIMESTAMP

    - #### STUDY_TIME

          public static final DicomAttribute STUDY_TIME

    - #### SERIES_TIME

          public static final DicomAttribute SERIES_TIME

    - #### ACQUISITION_TIME

          public static final DicomAttribute ACQUISITION_TIME

    - #### CONTENT_TIME

          public static final DicomAttribute CONTENT_TIME

    - #### OVERLAY_TIME

          public static final DicomAttribute OVERLAY_TIME

    - #### CURVE_TIME

          public static final DicomAttribute CURVE_TIME

    - #### DATASET_SUBTYPE

          public static final DicomAttribute DATASET_SUBTYPE

    - #### ACCESSION_NUMBER

          public static final DicomAttribute ACCESSION_NUMBER

    - #### QUERY_LEVEL

          public static final DicomAttribute QUERY_LEVEL

    - #### RETRIEVE_TITLE

          public static final DicomAttribute RETRIEVE_TITLE

    - #### INSTANCE_AVAILABILITY

          public static final DicomAttribute INSTANCE_AVAILABILITY

    - #### FAILED_SOP_UID_LIST

          public static final DicomAttribute FAILED_SOP_UID_LIST

    - #### MODALITY

          public static final DicomAttribute MODALITY

    - #### MODALITIES_IN_STUDY

          public static final DicomAttribute MODALITIES_IN_STUDY

    - #### CLASSES_IN_STUDY

          public static final DicomAttribute CLASSES_IN_STUDY

    - #### CONVERSION_TYPE

          public static final DicomAttribute CONVERSION_TYPE

    - #### PRESENTATION_INTENT_TYPE

          public static final DicomAttribute PRESENTATION_INTENT_TYPE

    - #### MANUFACTURER

          public static final DicomAttribute MANUFACTURER

    - #### INSTITUTION_NAME

          public static final DicomAttribute INSTITUTION_NAME

    - #### INSTITUTION_ADDRESS

          public static final DicomAttribute INSTITUTION_ADDRESS

    - #### INSTITUTION_CODE_SEQUENCE

          public static final DicomAttribute INSTITUTION_CODE_SEQUENCE

    - #### REFERRING_PHYSICIAN_NAME

          public static final DicomAttribute REFERRING_PHYSICIAN_NAME

    - #### REFERRING_PHYSICIAN_ADDRESS

          public static final DicomAttribute REFERRING_PHYSICIAN_ADDRESS

    - #### REFERRING_PHYSICIAN_TELEPHONE

          public static final DicomAttribute REFERRING_PHYSICIAN_TELEPHONE

    - #### REFERRING_PHYSICIAN_ID

          public static final DicomAttribute REFERRING_PHYSICIAN_ID

    - #### CODE_VALUE

          public static final DicomAttribute CODE_VALUE

    - #### CODING_SCHEME_DESIGNATOR

          public static final DicomAttribute CODING_SCHEME_DESIGNATOR

    - #### CODING_SCHEME_VERSION

          public static final DicomAttribute CODING_SCHEME_VERSION

    - #### CODE_MEANING

          public static final DicomAttribute CODE_MEANING

    - #### MAPPING_RESOURCE

          public static final DicomAttribute MAPPING_RESOURCE

    - #### CONTEXT_GROUP_VERSION

          public static final DicomAttribute CONTEXT_GROUP_VERSION

    - #### CONTEXT_GROUP_LOCAL_VERSION

          public static final DicomAttribute CONTEXT_GROUP_LOCAL_VERSION

    - #### CONTEXT_GROUP_EXTENSION_FLAG

          public static final DicomAttribute CONTEXT_GROUP_EXTENSION_FLAG

    - #### CODING_SCHEME_UID

          public static final DicomAttribute CODING_SCHEME_UID

    - #### CONTEXT_GROUP_EXTENSION_CREATOR

          public static final DicomAttribute CONTEXT_GROUP_EXTENSION_CREATOR

    - #### CONTEXT_ID

          public static final DicomAttribute CONTEXT_ID

    - #### CODING_SCHEME_ID

          public static final DicomAttribute CODING_SCHEME_ID

    - #### CODING_SCHEME_REGISTRY

          public static final DicomAttribute CODING_SCHEME_REGISTRY

    - #### CODING_SCHEME_EXTERNAL_ID

          public static final DicomAttribute CODING_SCHEME_EXTERNAL_ID

    - #### CODING_SCHEME_NAME

          public static final DicomAttribute CODING_SCHEME_NAME

    - #### RESPONSIBLE_ORGANIZATION

          public static final DicomAttribute RESPONSIBLE_ORGANIZATION

    - #### TIMEZONE_OFFSET_UTC

          public static final DicomAttribute TIMEZONE_OFFSET_UTC

    - #### STATION_NAME

          public static final DicomAttribute STATION_NAME

    - #### STUDY_DESCRIPTION

          public static final DicomAttribute STUDY_DESCRIPTION

    - #### PROCEDURE_CODE_SEQUENCE

          public static final DicomAttribute PROCEDURE_CODE_SEQUENCE

    - #### SERIES_DESCRIPTION

          public static final DicomAttribute SERIES_DESCRIPTION

    - #### INSTITUTIONAL_DEPARTMENT_NAME

          public static final DicomAttribute INSTITUTIONAL_DEPARTMENT_NAME

    - #### PHYSICIANS

          public static final DicomAttribute PHYSICIANS

    - #### PHYSICIANS_ID

          public static final DicomAttribute PHYSICIANS_ID

    - #### PHYSICIAN_NAME

          public static final DicomAttribute PHYSICIAN_NAME

    - #### PHYSICIAN_ID

          public static final DicomAttribute PHYSICIAN_ID

    - #### PHYSICIAN_READING

          public static final DicomAttribute PHYSICIAN_READING

    - #### PHYSICIAN_READING_ID

          public static final DicomAttribute PHYSICIAN_READING_ID

    - #### OPERATOR_NAME

          public static final DicomAttribute OPERATOR_NAME

    - #### OPERATOR_ID

          public static final DicomAttribute OPERATOR_ID

    - #### ADMITTING_DIAGNOSES_DESCRIPTION

          public static final DicomAttribute ADMITTING_DIAGNOSES_DESCRIPTION

    - #### ADMITTING_DIAGNOSES_CODE_SEQUENCE

          public static final DicomAttribute ADMITTING_DIAGNOSES_CODE_SEQUENCE

    - #### MANUFACTURER_MODEL_NAME

          public static final DicomAttribute MANUFACTURER_MODEL_NAME

    - #### REFERENCED_RESULTS_SEQUENCE

          public static final DicomAttribute REFERENCED_RESULTS_SEQUENCE

    - #### REFERENCED_STUDY_SEQUENCE

          public static final DicomAttribute REFERENCED_STUDY_SEQUENCE

    - #### REFERENCED_PERFORMED_PROCEDURE_STEP

          public static final DicomAttribute REFERENCED_PERFORMED_PROCEDURE_STEP

    - #### REFERENCED_SERIES_SEQUENCE

          public static final DicomAttribute REFERENCED_SERIES_SEQUENCE

    - #### REFERENCED_PATIENT_SEQUENCE

          public static final DicomAttribute REFERENCED_PATIENT_SEQUENCE

    - #### REFERENCED_VISIT_SEQUENCE

          public static final DicomAttribute REFERENCED_VISIT_SEQUENCE

    - #### REFERENCED_OVERLAY_SEQUENCE

          public static final DicomAttribute REFERENCED_OVERLAY_SEQUENCE

    - #### REFERENCED_WAVEFORM_SEQUENCE

          public static final DicomAttribute REFERENCED_WAVEFORM_SEQUENCE

    - #### REFERENCED_IMAGE_SEQUENCE

          public static final DicomAttribute REFERENCED_IMAGE_SEQUENCE

    - #### REFERENCED_CURVE_SEQUENCE

          public static final DicomAttribute REFERENCED_CURVE_SEQUENCE

    - #### REFERENCED_INSTANCE_SEQUENCE

          public static final DicomAttribute REFERENCED_INSTANCE_SEQUENCE

    - #### REFERENCED_SOP_CLASS_UID

          public static final DicomAttribute REFERENCED_SOP_CLASS_UID

    - #### REFERENCED_SOP_INSTANCE_UID

          public static final DicomAttribute REFERENCED_SOP_INSTANCE_UID

    - #### SOP_CLASSES_SUPPORTED

          public static final DicomAttribute SOP_CLASSES_SUPPORTED

    - #### REFERENCED_FRAME_NUMBER

          public static final DicomAttribute REFERENCED_FRAME_NUMBER

    - #### TRANSACTION_UID

          public static final DicomAttribute TRANSACTION_UID

    - #### FAILURE_REASON

          public static final DicomAttribute FAILURE_REASON

    - #### FAILED_SOP_SEQUENCE

          public static final DicomAttribute FAILED_SOP_SEQUENCE

    - #### REFERENCED_SOP_SEQUENCE

          public static final DicomAttribute REFERENCED_SOP_SEQUENCE

    - #### STUDIES_WITH_REFERENCED_INSTANCES

          public static final DicomAttribute STUDIES_WITH_REFERENCED_INSTANCES

    - #### RELATED_SERIES_SEQUENCE

          public static final DicomAttribute RELATED_SERIES_SEQUENCE

    - #### DERIVATION_DESCRIPTION

          public static final DicomAttribute DERIVATION_DESCRIPTION

    - #### SOURCE_IMAGE_SEQUENCE

          public static final DicomAttribute SOURCE_IMAGE_SEQUENCE

    - #### STAGE_NAME

          public static final DicomAttribute STAGE_NAME

    - #### STAGE_NUMBER

          public static final DicomAttribute STAGE_NUMBER

    - #### NUMBER_OF_STAGES

          public static final DicomAttribute NUMBER_OF_STAGES

    - #### VIEW_NAME

          public static final DicomAttribute VIEW_NAME

    - #### VIEW_NUMBER

          public static final DicomAttribute VIEW_NUMBER

    - #### NUMBER_OF_EVENT_TIMERS

          public static final DicomAttribute NUMBER_OF_EVENT_TIMERS

    - #### NUMBER_OF_VIEWS_STAGE

          public static final DicomAttribute NUMBER_OF_VIEWS_STAGE

    - #### EVENT_ELAPSED_TIME

          public static final DicomAttribute EVENT_ELAPSED_TIME

    - #### EVENT_TIMER_NAME

          public static final DicomAttribute EVENT_TIMER_NAME

    - #### START_TRIM

          public static final DicomAttribute START_TRIM

    - #### STOP_TRIM

          public static final DicomAttribute STOP_TRIM

    - #### RECOMMENDED_DISPLAY_FRAMERATE

          public static final DicomAttribute RECOMMENDED_DISPLAY_FRAMERATE

    - #### ANATOMIC_REGION_SEQUENCE

          public static final DicomAttribute ANATOMIC_REGION_SEQUENCE

    - #### ANATOMIC_REGION_MODIFIER_SEQUENCE

          public static final DicomAttribute ANATOMIC_REGION_MODIFIER_SEQUENCE

    - #### PRIMARY_ANATOMIC_STRUCTURE_SEQUENCE

          public static final DicomAttribute PRIMARY_ANATOMIC_STRUCTURE_SEQUENCE

    - #### ANATOMIC_STRUCTURE_SEQUENCE

          public static final DicomAttribute ANATOMIC_STRUCTURE_SEQUENCE

    - #### PRIMARY_ANATOMIC_STRUCTURE_MODIFIER

          public static final DicomAttribute PRIMARY_ANATOMIC_STRUCTURE_MODIFIER

    - #### TRANSDUCER_POSITION_SEQUENCE

          public static final DicomAttribute TRANSDUCER_POSITION_SEQUENCE

    - #### TRANSDUCER_POSITION_MODIFIER_SEQUENCE

          public static final DicomAttribute TRANSDUCER_POSITION_MODIFIER_SEQUENCE

    - #### TRANSDUCER_ORIENTATION_SEQUENCE

          public static final DicomAttribute TRANSDUCER_ORIENTATION_SEQUENCE

    - #### TRANSDUCER_ORIENTATION_MODIFIER

          public static final DicomAttribute TRANSDUCER_ORIENTATION_MODIFIER

    - #### ALTERNATE_REPRESENTATION_SEQUENCE

          public static final DicomAttribute ALTERNATE_REPRESENTATION_SEQUENCE

    - #### FRAME_TYPE

          public static final DicomAttribute FRAME_TYPE

    - #### REFERENCED_IMAGE_EVIDENCE_SEQUENCE

          public static final DicomAttribute REFERENCED_IMAGE_EVIDENCE_SEQUENCE

    - #### REFERENCED_RAW_DATA_SEQUENCE

          public static final DicomAttribute REFERENCED_RAW_DATA_SEQUENCE

    - #### CREATOR_VERSION_UID

          public static final DicomAttribute CREATOR_VERSION_UID

    - #### DERIVATION_IMAGE_SEQUENCE

          public static final DicomAttribute DERIVATION_IMAGE_SEQUENCE

    - #### SOURCE_IMAGE_EVIDENCE_SEQUENCE

          public static final DicomAttribute SOURCE_IMAGE_EVIDENCE_SEQUENCE

    - #### PIXEL_PRESENTATION

          public static final DicomAttribute PIXEL_PRESENTATION

    - #### VOLUMETRIC_PROPERTIES

          public static final DicomAttribute VOLUMETRIC_PROPERTIES

    - #### VOLUME_BASED_CALCULATION_TECHNIQUE

          public static final DicomAttribute VOLUME_BASED_CALCULATION_TECHNIQUE

    - #### COMPLEX_IMAGE_COMPONENT

          public static final DicomAttribute COMPLEX_IMAGE_COMPONENT

    - #### ACQUISITION_CONTRAST

          public static final DicomAttribute ACQUISITION_CONTRAST

    - #### DERIVATION_CODE_SEQUENCE

          public static final DicomAttribute DERIVATION_CODE_SEQUENCE

    - #### REFERENCE_GRAYSCALE_PRESENTATION_STATE

          public static final DicomAttribute REFERENCE_GRAYSCALE_PRESENTATION_STATE

    - #### PATIENT_NAME

          public static final DicomAttribute PATIENT_NAME

    - #### PATIENT_ID

          public static final DicomAttribute PATIENT_ID

    - #### ISSUER_OF_PATIENT_ID

          public static final DicomAttribute ISSUER_OF_PATIENT_ID

    - #### PATIENT_BIRTH_DATE

          public static final DicomAttribute PATIENT_BIRTH_DATE

    - #### PATIENT_BIRTH_TIME

          public static final DicomAttribute PATIENT_BIRTH_TIME

    - #### PATIENT_SEX

          public static final DicomAttribute PATIENT_SEX

    - #### PATIENT_INSURANCE_PLAN_CODE

          public static final DicomAttribute PATIENT_INSURANCE_PLAN_CODE

    - #### PATIENT_PRIMARY_LANGUAGE_CODE

          public static final DicomAttribute PATIENT_PRIMARY_LANGUAGE_CODE

    - #### PATIENT_PRIMARY_LANGUAGE_MODIFIER

          public static final DicomAttribute PATIENT_PRIMARY_LANGUAGE_MODIFIER

    - #### OTHER_PATIENT_IDS

          public static final DicomAttribute OTHER_PATIENT_IDS

    - #### OTHER_PATIENT_NAMES

          public static final DicomAttribute OTHER_PATIENT_NAMES

    - #### PATIENT_BIRTH_NAME

          public static final DicomAttribute PATIENT_BIRTH_NAME

    - #### PATIENT_AGE

          public static final DicomAttribute PATIENT_AGE

    - #### PATIENT_SIZE

          public static final DicomAttribute PATIENT_SIZE

    - #### PATIENT_WEIGHT

          public static final DicomAttribute PATIENT_WEIGHT

    - #### PATIENT_ADDRESS

          public static final DicomAttribute PATIENT_ADDRESS

    - #### PATIENT_MOTHER_BIRTH_NAME

          public static final DicomAttribute PATIENT_MOTHER_BIRTH_NAME

    - #### MILITARY_RANK

          public static final DicomAttribute MILITARY_RANK

    - #### BRANCH_OF_SERVICE

          public static final DicomAttribute BRANCH_OF_SERVICE

    - #### MEDICAL_RECORD_LOCATOR

          public static final DicomAttribute MEDICAL_RECORD_LOCATOR

    - #### MEDICAL_ALERTS

          public static final DicomAttribute MEDICAL_ALERTS

    - #### CONTRAST_ALLERGIES

          public static final DicomAttribute CONTRAST_ALLERGIES

    - #### COUNTRY_OF_RESIDENCE

          public static final DicomAttribute COUNTRY_OF_RESIDENCE

    - #### REGION_OF_RESIDENCE

          public static final DicomAttribute REGION_OF_RESIDENCE

    - #### PATIENT_TELEPHONE_NUMBER

          public static final DicomAttribute PATIENT_TELEPHONE_NUMBER

    - #### ETHNIC_GROUP

          public static final DicomAttribute ETHNIC_GROUP

    - #### OCCUPATION

          public static final DicomAttribute OCCUPATION

    - #### SMOKING_STATUS

          public static final DicomAttribute SMOKING_STATUS

    - #### ADDITIONAL_PATIENT_HISTORY

          public static final DicomAttribute ADDITIONAL_PATIENT_HISTORY

    - #### PREGNANCY_STATUS

          public static final DicomAttribute PREGNANCY_STATUS

    - #### LAST_MENSTRUAL_DATE

          public static final DicomAttribute LAST_MENSTRUAL_DATE

    - #### PATIENT_RELIGIOUS_PREFERENCE

          public static final DicomAttribute PATIENT_RELIGIOUS_PREFERENCE

    - #### PATIENT_COMMENTS

          public static final DicomAttribute PATIENT_COMMENTS

    - #### CLINICAL_TRIAL_SPONSOR_NAME

          public static final DicomAttribute CLINICAL_TRIAL_SPONSOR_NAME

    - #### CLINICAL_TRIAL_PROTOCOL_ID

          public static final DicomAttribute CLINICAL_TRIAL_PROTOCOL_ID

    - #### CLINICAL_TRIAL_PROTOCOL_NAME

          public static final DicomAttribute CLINICAL_TRIAL_PROTOCOL_NAME

    - #### CLINICAL_TRIAL_SITE_ID

          public static final DicomAttribute CLINICAL_TRIAL_SITE_ID

    - #### CLINICAL_TRIAL_SITE_NAME

          public static final DicomAttribute CLINICAL_TRIAL_SITE_NAME

    - #### CLINICAL_TRIAL_SUBJECT_ID

          public static final DicomAttribute CLINICAL_TRIAL_SUBJECT_ID

    - #### CLINICAL_TRIAL_SUBJECT_READING_ID

          public static final DicomAttribute CLINICAL_TRIAL_SUBJECT_READING_ID

    - #### CLINICAL_TRIAL_TIME_POINT_ID

          public static final DicomAttribute CLINICAL_TRIAL_TIME_POINT_ID

    - #### CLINICAL_TRIAL_TIME_POINT_DESCRIPTION

          public static final DicomAttribute CLINICAL_TRIAL_TIME_POINT_DESCRIPTION

    - #### CLINICAL_TRIAL_COORDINATING_CENTER

          public static final DicomAttribute CLINICAL_TRIAL_COORDINATING_CENTER

    - #### CONTRAST_BOLUS_AGENT

          public static final DicomAttribute CONTRAST_BOLUS_AGENT

    - #### CONTRAST_BOLUS_AGENT_SEQUENCE

          public static final DicomAttribute CONTRAST_BOLUS_AGENT_SEQUENCE

    - #### CONTRAST_BOLUS_ADMIN_ROUTE_SEQUENCE

          public static final DicomAttribute CONTRAST_BOLUS_ADMIN_ROUTE_SEQUENCE

    - #### BODY_PART_EXAMINED

          public static final DicomAttribute BODY_PART_EXAMINED

    - #### SCANNING_SEQUENCE

          public static final DicomAttribute SCANNING_SEQUENCE

    - #### SEQUENCE_VARIANT

          public static final DicomAttribute SEQUENCE_VARIANT

    - #### SCAN_OPTIONS

          public static final DicomAttribute SCAN_OPTIONS

    - #### MR_ACQUISITION_TYPE

          public static final DicomAttribute MR_ACQUISITION_TYPE

    - #### SEQUENCE_NAME

          public static final DicomAttribute SEQUENCE_NAME

    - #### ANGIO_FLAG

          public static final DicomAttribute ANGIO_FLAG

    - #### INTERVENTION_DRUG_INFORMATION_SEQUENCE

          public static final DicomAttribute INTERVENTION_DRUG_INFORMATION_SEQUENCE

    - #### INTERVENTION_DRUG_STOP_TIME

          public static final DicomAttribute INTERVENTION_DRUG_STOP_TIME

    - #### INTERVENTION_DRUG_DOSE

          public static final DicomAttribute INTERVENTION_DRUG_DOSE

    - #### INTERVENTION_DRUG_SEQUENCE

          public static final DicomAttribute INTERVENTION_DRUG_SEQUENCE

    - #### ADDITIONAL_DRUG_SEQUENCE

          public static final DicomAttribute ADDITIONAL_DRUG_SEQUENCE

    - #### RADIOPHARMACEUTICAL

          public static final DicomAttribute RADIOPHARMACEUTICAL

    - #### INTERVENTION_DRUG_NAME

          public static final DicomAttribute INTERVENTION_DRUG_NAME

    - #### INTERVENTION_DRUG_START_TIME

          public static final DicomAttribute INTERVENTION_DRUG_START_TIME

    - #### INTERVENTION_SEQUENCE

          public static final DicomAttribute INTERVENTION_SEQUENCE

    - #### INTERVENTION_STATUS

          public static final DicomAttribute INTERVENTION_STATUS

    - #### INTERVENTION_DESCRIPTION

          public static final DicomAttribute INTERVENTION_DESCRIPTION

    - #### CINE_RATE

          public static final DicomAttribute CINE_RATE

    - #### SLICE_THICKNESS

          public static final DicomAttribute SLICE_THICKNESS

    - #### KVP

          public static final DicomAttribute KVP

    - #### COUNTS_ACCUMULATED

          public static final DicomAttribute COUNTS_ACCUMULATED

    - #### ACQUISITION_TERMINATION_CONDITION

          public static final DicomAttribute ACQUISITION_TERMINATION_CONDITION

    - #### EFFECTIVE_DURATION

          public static final DicomAttribute EFFECTIVE_DURATION

    - #### ACQUISITION_START_CONDITION

          public static final DicomAttribute ACQUISITION_START_CONDITION

    - #### ACQUISITION_START_CONDITION_DATA

          public static final DicomAttribute ACQUISITION_START_CONDITION_DATA

    - #### ACQUISITION_TERMINATION_CONDITION_DATA

          public static final DicomAttribute ACQUISITION_TERMINATION_CONDITION_DATA

    - #### REPETITION_TIME

          public static final DicomAttribute REPETITION_TIME

    - #### ECHO_TIME

          public static final DicomAttribute ECHO_TIME

    - #### INVERSION_TIME

          public static final DicomAttribute INVERSION_TIME

    - #### NUMBER_OF_AVERAGES

          public static final DicomAttribute NUMBER_OF_AVERAGES

    - #### IMAGING_FREQUENCY

          public static final DicomAttribute IMAGING_FREQUENCY

    - #### IMAGED_NUCLEUS

          public static final DicomAttribute IMAGED_NUCLEUS

    - #### ECHO_NUMBER

          public static final DicomAttribute ECHO_NUMBER

    - #### MAGNETIC_FIELD_STRENGTH

          public static final DicomAttribute MAGNETIC_FIELD_STRENGTH

    - #### SLICE_SPACING

          public static final DicomAttribute SLICE_SPACING

    - #### NUMBER_OF_PHASE_ENCODING_STEPS

          public static final DicomAttribute NUMBER_OF_PHASE_ENCODING_STEPS

    - #### DATA_COLLECTION_DIAMETER

          public static final DicomAttribute DATA_COLLECTION_DIAMETER

    - #### ECHO_TRAIN_LENGTH

          public static final DicomAttribute ECHO_TRAIN_LENGTH

    - #### PERCENT_SAMPLING

          public static final DicomAttribute PERCENT_SAMPLING

    - #### PERCENT_PHASE_FOV

          public static final DicomAttribute PERCENT_PHASE_FOV

    - #### PIXEL_BANDWIDTH

          public static final DicomAttribute PIXEL_BANDWIDTH

    - #### DEVICE_SERIAL_NUMBER

          public static final DicomAttribute DEVICE_SERIAL_NUMBER

    - #### PLATE_ID

          public static final DicomAttribute PLATE_ID

    - #### SECONDARY_CAPTURE_DEVICE_ID

          public static final DicomAttribute SECONDARY_CAPTURE_DEVICE_ID

    - #### HARDCOPY_CREATION_DEVICE_ID

          public static final DicomAttribute HARDCOPY_CREATION_DEVICE_ID

    - #### DATE_OF_SECONDARY_CAPTURE

          public static final DicomAttribute DATE_OF_SECONDARY_CAPTURE

    - #### TIME_OF_SECONDARY_CAPTURE

          public static final DicomAttribute TIME_OF_SECONDARY_CAPTURE

    - #### SECONDARY_CAPTURE_DEVICE_MANUFACTURER

          public static final DicomAttribute SECONDARY_CAPTURE_DEVICE_MANUFACTURER

    - #### HARDCOPY_DEVICE_MANUFACTURER

          public static final DicomAttribute HARDCOPY_DEVICE_MANUFACTURER

    - #### SECONDARY_CAPTURE_DEVICE_MODEL_NAME

          public static final DicomAttribute SECONDARY_CAPTURE_DEVICE_MODEL_NAME

    - #### SECONDARY_CAPTURE_DEVICE_SOFTWARE_VERSION

          public static final DicomAttribute SECONDARY_CAPTURE_DEVICE_SOFTWARE_VERSION

    - #### HARDCOPY_DEVICE_SOFTWARE_VERSION

          public static final DicomAttribute HARDCOPY_DEVICE_SOFTWARE_VERSION

    - #### HARDCOPY_DEVICE_MODEL_NAME

          public static final DicomAttribute HARDCOPY_DEVICE_MODEL_NAME

    - #### SOFTWARE_VERSION

          public static final DicomAttribute SOFTWARE_VERSION

    - #### VIDEO_IMAGE_FORMAT_ACQUIRED

          public static final DicomAttribute VIDEO_IMAGE_FORMAT_ACQUIRED

    - #### DIGITAL_IMAGE_FORMAT_ACQUIRED

          public static final DicomAttribute DIGITAL_IMAGE_FORMAT_ACQUIRED

    - #### PROTOCOL_NAME

          public static final DicomAttribute PROTOCOL_NAME

    - #### CONTRAST_BOLUS_ROUTE

          public static final DicomAttribute CONTRAST_BOLUS_ROUTE

    - #### CONTRAST_BOLUS_VOLUME

          public static final DicomAttribute CONTRAST_BOLUS_VOLUME

    - #### CONTRAST_BOLUS_START_TIME

          public static final DicomAttribute CONTRAST_BOLUS_START_TIME

    - #### CONTRAST_BOLUS_STOP_TIME

          public static final DicomAttribute CONTRAST_BOLUS_STOP_TIME

    - #### CONTRAST_BOLUS_TOTAL_DOSE

          public static final DicomAttribute CONTRAST_BOLUS_TOTAL_DOSE

    - #### SYRINGE_COUNTS

          public static final DicomAttribute SYRINGE_COUNTS

    - #### CONTRAST_FLOW_RATE

          public static final DicomAttribute CONTRAST_FLOW_RATE

    - #### CONTRAST_FLOW_DURATION

          public static final DicomAttribute CONTRAST_FLOW_DURATION

    - #### CONTRAST_BOLUS_INGREDIENT

          public static final DicomAttribute CONTRAST_BOLUS_INGREDIENT

    - #### CONTRAST_INGREDIENT_CONCENTRATION

          public static final DicomAttribute CONTRAST_INGREDIENT_CONCENTRATION

    - #### SPATIAL_RESOLUTION

          public static final DicomAttribute SPATIAL_RESOLUTION

    - #### TRIGGER_TIME

          public static final DicomAttribute TRIGGER_TIME

    - #### TRIGGER_SOURCE_OR_TYPE

          public static final DicomAttribute TRIGGER_SOURCE_OR_TYPE

    - #### NOMINAL_INTERVAL

          public static final DicomAttribute NOMINAL_INTERVAL

    - #### FRAME_TIME

          public static final DicomAttribute FRAME_TIME

    - #### FRAMING_TYPE

          public static final DicomAttribute FRAMING_TYPE

    - #### FRAME_TIME_VECTOR

          public static final DicomAttribute FRAME_TIME_VECTOR

    - #### FRAME_DELAY

          public static final DicomAttribute FRAME_DELAY

    - #### IMAGE_TRIGGER_DELAY

          public static final DicomAttribute IMAGE_TRIGGER_DELAY

    - #### MULTIPLEX_GROUP_TIME_OFFSET

          public static final DicomAttribute MULTIPLEX_GROUP_TIME_OFFSET

    - #### TRIGGER_TIME_OFFSET

          public static final DicomAttribute TRIGGER_TIME_OFFSET

    - #### SYNCHRONIZATION_TRIGGER

          public static final DicomAttribute SYNCHRONIZATION_TRIGGER

    - #### SYNCHRONIZATION_CHANNEL

          public static final DicomAttribute SYNCHRONIZATION_CHANNEL

    - #### TRIGGER_SAMPLE_POSITION

          public static final DicomAttribute TRIGGER_SAMPLE_POSITION

    - #### RADIOPHARMACEUTICAL_ROUTE

          public static final DicomAttribute RADIOPHARMACEUTICAL_ROUTE

    - #### RADIOPHARMACEUTICAL_VOLUME

          public static final DicomAttribute RADIOPHARMACEUTICAL_VOLUME

    - #### RADIOPHARMACEUTICAL_START_TIME

          public static final DicomAttribute RADIOPHARMACEUTICAL_START_TIME

    - #### RADIOPHARMACEUTICAL_STOP_TIME

          public static final DicomAttribute RADIOPHARMACEUTICAL_STOP_TIME

    - #### RADIONUCLIDE_TOTAL_DOSE

          public static final DicomAttribute RADIONUCLIDE_TOTAL_DOSE

    - #### RADIONUCLIDE_HALF_LIFE

          public static final DicomAttribute RADIONUCLIDE_HALF_LIFE

    - #### RADIONUCLIDE_POSITRON_FRACTION

          public static final DicomAttribute RADIONUCLIDE_POSITRON_FRACTION

    - #### RADIOPHARMACEUTICAL_SPECIFIC_ACTIVITY

          public static final DicomAttribute RADIOPHARMACEUTICAL_SPECIFIC_ACTIVITY

    - #### BEAT_REJECTION_FLAG

          public static final DicomAttribute BEAT_REJECTION_FLAG

    - #### LOW_RR_VALUE

          public static final DicomAttribute LOW_RR_VALUE

    - #### HIGH_RR_VALUE

          public static final DicomAttribute HIGH_RR_VALUE

    - #### INTERVALS_ACQUIRED

          public static final DicomAttribute INTERVALS_ACQUIRED

    - #### INTERVALS_REJECTED

          public static final DicomAttribute INTERVALS_REJECTED

    - #### PVC_REJECTION

          public static final DicomAttribute PVC_REJECTION

    - #### SKIP_BEATS

          public static final DicomAttribute SKIP_BEATS

    - #### HEART_RATE

          public static final DicomAttribute HEART_RATE

    - #### CARDIAC_NUMBER_OF_IMAGES

          public static final DicomAttribute CARDIAC_NUMBER_OF_IMAGES

    - #### TRIGGER_WINDOW

          public static final DicomAttribute TRIGGER_WINDOW

    - #### RECONSTRUCTION_DIAMETER

          public static final DicomAttribute RECONSTRUCTION_DIAMETER

    - #### DISTANCE_SOURCE_TO_DETECTOR

          public static final DicomAttribute DISTANCE_SOURCE_TO_DETECTOR

    - #### DISTANCE_SOURCE_TO_PATIENT

          public static final DicomAttribute DISTANCE_SOURCE_TO_PATIENT

    - #### ESTIMATED_RADIOGRAPHIC_MAG_FACTOR

          public static final DicomAttribute ESTIMATED_RADIOGRAPHIC_MAG_FACTOR

    - #### GANTRY_DETECTOR_TILT

          public static final DicomAttribute GANTRY_DETECTOR_TILT

    - #### GANTRY_DETECTOR_SKEW

          public static final DicomAttribute GANTRY_DETECTOR_SKEW

    - #### TABLE_HEIGHT

          public static final DicomAttribute TABLE_HEIGHT

    - #### TABLE_TRAVERSE

          public static final DicomAttribute TABLE_TRAVERSE

    - #### TABLE_MOTION

          public static final DicomAttribute TABLE_MOTION

    - #### TABLE_VERTICAL_INCREMENT

          public static final DicomAttribute TABLE_VERTICAL_INCREMENT

    - #### TABLE_LATERAL_INCREMENT

          public static final DicomAttribute TABLE_LATERAL_INCREMENT

    - #### TABLE_LONGITUDINAL_INCREMENT

          public static final DicomAttribute TABLE_LONGITUDINAL_INCREMENT

    - #### TABLE_ANGLE

          public static final DicomAttribute TABLE_ANGLE

    - #### TABLE_TYPE

          public static final DicomAttribute TABLE_TYPE

    - #### ROTATION_DIRECTION

          public static final DicomAttribute ROTATION_DIRECTION

    - #### ANGULAR_POSITION

          public static final DicomAttribute ANGULAR_POSITION

    - #### RADIAL_POSITION

          public static final DicomAttribute RADIAL_POSITION

    - #### SCAN_ARC

          public static final DicomAttribute SCAN_ARC

    - #### ANGULAR_STEP

          public static final DicomAttribute ANGULAR_STEP

    - #### CENTER_OF_ROTATION_OFFSET

          public static final DicomAttribute CENTER_OF_ROTATION_OFFSET

    - #### FOV_SHAPE

          public static final DicomAttribute FOV_SHAPE

    - #### FOV_DIMENSIONS

          public static final DicomAttribute FOV_DIMENSIONS

    - #### EXPOSURE_TIME

          public static final DicomAttribute EXPOSURE_TIME

    - #### XRAY_TUBE_CURRENT

          public static final DicomAttribute XRAY_TUBE_CURRENT

    - #### EXPOSURE

          public static final DicomAttribute EXPOSURE

    - #### EXPOSURE_IN_UAS

          public static final DicomAttribute EXPOSURE_IN_UAS

    - #### AVERAGE_PULSE_WIDTH

          public static final DicomAttribute AVERAGE_PULSE_WIDTH

    - #### RADIATION_SETTING

          public static final DicomAttribute RADIATION_SETTING

    - #### RECTIFICATION_TYPE

          public static final DicomAttribute RECTIFICATION_TYPE

    - #### RADIATION_MODE

          public static final DicomAttribute RADIATION_MODE

    - #### IMAGE_AREA_DOSE_PRODUCT

          public static final DicomAttribute IMAGE_AREA_DOSE_PRODUCT

    - #### FILTER_TYPE

          public static final DicomAttribute FILTER_TYPE

    - #### TYPE_OF_FILTERS

          public static final DicomAttribute TYPE_OF_FILTERS

    - #### INTENSIFIER_SIZE

          public static final DicomAttribute INTENSIFIER_SIZE

    - #### IMAGER_PIXEL_SPACING

          public static final DicomAttribute IMAGER_PIXEL_SPACING

    - #### GRID

          public static final DicomAttribute GRID

    - #### GENERATOR_POWER

          public static final DicomAttribute GENERATOR_POWER

    - #### COLLIMATOR_GRID_NAME

          public static final DicomAttribute COLLIMATOR_GRID_NAME

    - #### COLLIMATOR_TYPE

          public static final DicomAttribute COLLIMATOR_TYPE

    - #### FOCAL_DISTANCE

          public static final DicomAttribute FOCAL_DISTANCE

    - #### X_FOCUS_CENTER

          public static final DicomAttribute X_FOCUS_CENTER

    - #### Y_FOCUS_CENTER

          public static final DicomAttribute Y_FOCUS_CENTER

    - #### FOCAL_SPOTS

          public static final DicomAttribute FOCAL_SPOTS

    - #### ANODE_TARGET_MATERIAL

          public static final DicomAttribute ANODE_TARGET_MATERIAL

    - #### BODY_PART_THICKNESS

          public static final DicomAttribute BODY_PART_THICKNESS

    - #### COMPRESSION_FORCE

          public static final DicomAttribute COMPRESSION_FORCE

    - #### DATE_OF_LAST_CALIBRATION

          public static final DicomAttribute DATE_OF_LAST_CALIBRATION

    - #### TIME_OF_LAST_CALIBRATION

          public static final DicomAttribute TIME_OF_LAST_CALIBRATION

    - #### CONVOLUTION_KERNEL

          public static final DicomAttribute CONVOLUTION_KERNEL

    - #### ACTUAL_FRAME_DURATION

          public static final DicomAttribute ACTUAL_FRAME_DURATION

    - #### COUNT_RATE

          public static final DicomAttribute COUNT_RATE

    - #### PREFERRED_PLAYBACK_SEQUENCING

          public static final DicomAttribute PREFERRED_PLAYBACK_SEQUENCING

    - #### RECEIVE_COIL_NAME

          public static final DicomAttribute RECEIVE_COIL_NAME

    - #### TRANSMIT_COIL_NAME

          public static final DicomAttribute TRANSMIT_COIL_NAME

    - #### PLATE_TYPE

          public static final DicomAttribute PLATE_TYPE

    - #### PHOSPHOR_TYPE

          public static final DicomAttribute PHOSPHOR_TYPE

    - #### SCAN_VELOCITY

          public static final DicomAttribute SCAN_VELOCITY

    - #### WHOLE_BODY_TECHNIQUE

          public static final DicomAttribute WHOLE_BODY_TECHNIQUE

    - #### SCAN_LENGTH

          public static final DicomAttribute SCAN_LENGTH

    - #### ACQUISITION_MATRIX

          public static final DicomAttribute ACQUISITION_MATRIX

    - #### INPLANE_PHASE_ENCODING_DIRECTION

          public static final DicomAttribute INPLANE_PHASE_ENCODING_DIRECTION

    - #### FLIP_ANGLE

          public static final DicomAttribute FLIP_ANGLE

    - #### VARIABLE_FLIP_ANGLE_FLAG

          public static final DicomAttribute VARIABLE_FLIP_ANGLE_FLAG

    - #### SAR

          public static final DicomAttribute SAR

    - #### DB_DT

          public static final DicomAttribute DB_DT

    - #### ACQUISITION_DEVICE_PROCESSING_DESCRIPTION

          public static final DicomAttribute ACQUISITION_DEVICE_PROCESSING_DESCRIPTION

    - #### ACQUISITION_DEVICE_PROCESSING_CODE

          public static final DicomAttribute ACQUISITION_DEVICE_PROCESSING_CODE

    - #### CASSETTE_ORIENTATION

          public static final DicomAttribute CASSETTE_ORIENTATION

    - #### CASSETTE_SIZE

          public static final DicomAttribute CASSETTE_SIZE

    - #### EXPOSURES_ON_PLATE

          public static final DicomAttribute EXPOSURES_ON_PLATE

    - #### RELATIVE_XRAY_EXPOSURE

          public static final DicomAttribute RELATIVE_XRAY_EXPOSURE

    - #### COLUMN_ANGULATION

          public static final DicomAttribute COLUMN_ANGULATION

    - #### TOMO_LAYER_HEIGHT

          public static final DicomAttribute TOMO_LAYER_HEIGHT

    - #### TOMO_ANGLE

          public static final DicomAttribute TOMO_ANGLE

    - #### TOMO_TIME

          public static final DicomAttribute TOMO_TIME

    - #### TOMO_TYPE

          public static final DicomAttribute TOMO_TYPE

    - #### TOMO_CLASS

          public static final DicomAttribute TOMO_CLASS

    - #### NUMBER_OF_TOMOSYNTHESIS_SOURCE_IMAGES

          public static final DicomAttribute NUMBER_OF_TOMOSYNTHESIS_SOURCE_IMAGES

    - #### POSITIONER_MOTION

          public static final DicomAttribute POSITIONER_MOTION

    - #### POSITIONER_TYPE

          public static final DicomAttribute POSITIONER_TYPE

    - #### POSITIONER_PRIMARY_ANGLE

          public static final DicomAttribute POSITIONER_PRIMARY_ANGLE

    - #### POSITIONER_SECONDARY_ANGLE

          public static final DicomAttribute POSITIONER_SECONDARY_ANGLE

    - #### POSITIONER_PRIMARY_ANGLE_INCREMENT

          public static final DicomAttribute POSITIONER_PRIMARY_ANGLE_INCREMENT

    - #### POSITIONER_SECONDARY_ANGLE_INCREMENT

          public static final DicomAttribute POSITIONER_SECONDARY_ANGLE_INCREMENT

    - #### DETECTOR_PRIMARY_ANGLE

          public static final DicomAttribute DETECTOR_PRIMARY_ANGLE

    - #### DETECTOR_SECONDARY_ANGLE

          public static final DicomAttribute DETECTOR_SECONDARY_ANGLE

    - #### SHUTTER_SHAPE

          public static final DicomAttribute SHUTTER_SHAPE

    - #### SHUTTER_LEFT_VERTICAL_EDGE

          public static final DicomAttribute SHUTTER_LEFT_VERTICAL_EDGE

    - #### SHUTTER_RIGHT_VERTICAL_EDGE

          public static final DicomAttribute SHUTTER_RIGHT_VERTICAL_EDGE

    - #### SHUTTER_UPPER_HORIZONTAL_EDGE

          public static final DicomAttribute SHUTTER_UPPER_HORIZONTAL_EDGE

    - #### SHUTTER_LOWER_HORIZONTAL_EDGE

          public static final DicomAttribute SHUTTER_LOWER_HORIZONTAL_EDGE

    - #### CENTER_OF_CIRCULAR_SHUTTER

          public static final DicomAttribute CENTER_OF_CIRCULAR_SHUTTER

    - #### RADIUS_OF_CIRCULAR_SHUTTER

          public static final DicomAttribute RADIUS_OF_CIRCULAR_SHUTTER

    - #### VERTICES_OF_POLYGONAL_SHUTTER

          public static final DicomAttribute VERTICES_OF_POLYGONAL_SHUTTER

    - #### SHUTTER_PRESENTATION_VALUE

          public static final DicomAttribute SHUTTER_PRESENTATION_VALUE

    - #### SHUTTER_OVERLAY_GROUP

          public static final DicomAttribute SHUTTER_OVERLAY_GROUP

    - #### COLLIMATOR_SHAPE

          public static final DicomAttribute COLLIMATOR_SHAPE

    - #### COLLIMATOR_LEFT_VERTICAL_EDGE

          public static final DicomAttribute COLLIMATOR_LEFT_VERTICAL_EDGE

    - #### COLLIMATOR_RIGHT_VERTICAL_EDGE

          public static final DicomAttribute COLLIMATOR_RIGHT_VERTICAL_EDGE

    - #### COLLIMATOR_UPPER_HORIZONTAL_EDGE

          public static final DicomAttribute COLLIMATOR_UPPER_HORIZONTAL_EDGE

    - #### COLLIMATOR_LOWER_HORIZONTAL_EDGE

          public static final DicomAttribute COLLIMATOR_LOWER_HORIZONTAL_EDGE

    - #### CENTER_OF_CIRCULAR_COLLIMATOR

          public static final DicomAttribute CENTER_OF_CIRCULAR_COLLIMATOR

    - #### RADIUS_OF_CIRCULAR_COLLIMATOR

          public static final DicomAttribute RADIUS_OF_CIRCULAR_COLLIMATOR

    - #### VERTICES_OF_POLYGONAL_COLLIMATOR

          public static final DicomAttribute VERTICES_OF_POLYGONAL_COLLIMATOR

    - #### ACQUISITION_TIME_SYNCHRONIZED

          public static final DicomAttribute ACQUISITION_TIME_SYNCHRONIZED

    - #### TIME_SOURCE

          public static final DicomAttribute TIME_SOURCE

    - #### TIME_DISTRIBUTION_PROTOCOL

          public static final DicomAttribute TIME_DISTRIBUTION_PROTOCOL

    - #### NTP_SOURCE_ADDRESS

          public static final DicomAttribute NTP_SOURCE_ADDRESS

    - #### PAGE_NUMBER_VECTOR

          public static final DicomAttribute PAGE_NUMBER_VECTOR

    - #### FRAME_LABEL_VECTOR

          public static final DicomAttribute FRAME_LABEL_VECTOR

    - #### FRAME_PRIMARY_ANGLE_VECTOR

          public static final DicomAttribute FRAME_PRIMARY_ANGLE_VECTOR

    - #### FRAME_SECONDARY_ANGLE_VECTOR

          public static final DicomAttribute FRAME_SECONDARY_ANGLE_VECTOR

    - #### SLICE_LOCATION_VECTOR

          public static final DicomAttribute SLICE_LOCATION_VECTOR

    - #### DISPLAY_WINDOW_LABEL_VECTOR

          public static final DicomAttribute DISPLAY_WINDOW_LABEL_VECTOR

    - #### NOMINAL_SCANNED_PIXEL_SPACING

          public static final DicomAttribute NOMINAL_SCANNED_PIXEL_SPACING

    - #### DIGITIZING_DEVICE_TRANSPORT_DIRECTION

          public static final DicomAttribute DIGITIZING_DEVICE_TRANSPORT_DIRECTION

    - #### ROTATION_OF_SCANNED_FILM

          public static final DicomAttribute ROTATION_OF_SCANNED_FILM

    - #### IVUS_ACQUISITION

          public static final DicomAttribute IVUS_ACQUISITION

    - #### IVUS_PULLBACK_RATE

          public static final DicomAttribute IVUS_PULLBACK_RATE

    - #### IVUS_GATED_RATE

          public static final DicomAttribute IVUS_GATED_RATE

    - #### IVUS_PULLBACK_START_FRAME_NUMBER

          public static final DicomAttribute IVUS_PULLBACK_START_FRAME_NUMBER

    - #### IVUS_PULLBACK_STOP_FRAME_NUMBER

          public static final DicomAttribute IVUS_PULLBACK_STOP_FRAME_NUMBER

    - #### LESION_NUMBER

          public static final DicomAttribute LESION_NUMBER

    - #### OUTPUT_POWER

          public static final DicomAttribute OUTPUT_POWER

    - #### TRANSDUCER_DATA

          public static final DicomAttribute TRANSDUCER_DATA

    - #### FOCUS_DEPTH

          public static final DicomAttribute FOCUS_DEPTH

    - #### PROCESSING_FUNCTION

          public static final DicomAttribute PROCESSING_FUNCTION

    - #### POSTPROCESSING_FUNCTION

          public static final DicomAttribute POSTPROCESSING_FUNCTION

    - #### MECHANICAL_INDEX

          public static final DicomAttribute MECHANICAL_INDEX

    - #### BONE_THERMAL_INDEX

          public static final DicomAttribute BONE_THERMAL_INDEX

    - #### CRANIAL_THERMAL_INDEX

          public static final DicomAttribute CRANIAL_THERMAL_INDEX

    - #### SOFT_TISSUE_THERMAL_INDEX

          public static final DicomAttribute SOFT_TISSUE_THERMAL_INDEX

    - #### SOFT_TISSUE_FOCUS_THERMAL_INDEX

          public static final DicomAttribute SOFT_TISSUE_FOCUS_THERMAL_INDEX

    - #### SOFT_TISSUE_SURFACE_THERMAL_INDEX

          public static final DicomAttribute SOFT_TISSUE_SURFACE_THERMAL_INDEX

    - #### DEPTH_OF_SCAN_FIELD

          public static final DicomAttribute DEPTH_OF_SCAN_FIELD

    - #### PATIENT_POSITION

          public static final DicomAttribute PATIENT_POSITION

    - #### VIEW_POSITION

          public static final DicomAttribute VIEW_POSITION

    - #### PROJECTION_EPONYMOUS_NAME_CODE

          public static final DicomAttribute PROJECTION_EPONYMOUS_NAME_CODE

    - #### SENSITIVITY

          public static final DicomAttribute SENSITIVITY

    - #### SEQUENCE_OF_ULTRASOUND_REGIONS

          public static final DicomAttribute SEQUENCE_OF_ULTRASOUND_REGIONS

    - #### REGION_SPATIAL_FORMAT

          public static final DicomAttribute REGION_SPATIAL_FORMAT

    - #### REGION_DATA_TYPE

          public static final DicomAttribute REGION_DATA_TYPE

    - #### REGION_FLAGS

          public static final DicomAttribute REGION_FLAGS

    - #### REGION_LOCATION_MIN_X0

          public static final DicomAttribute REGION_LOCATION_MIN_X0

    - #### REGION_LOCATION_MIN_Y0

          public static final DicomAttribute REGION_LOCATION_MIN_Y0

    - #### REGION_LOCATION_MAX_X1

          public static final DicomAttribute REGION_LOCATION_MAX_X1

    - #### REGION_LOCATION_MAX_Y1

          public static final DicomAttribute REGION_LOCATION_MAX_Y1

    - #### REFERENCE_PIXEL_X0

          public static final DicomAttribute REFERENCE_PIXEL_X0

    - #### REFERENCE_PIXEL_Y0

          public static final DicomAttribute REFERENCE_PIXEL_Y0

    - #### PHYSICAL_UNITS_X_DIRECTION

          public static final DicomAttribute PHYSICAL_UNITS_X_DIRECTION

    - #### PHYSICAL_UNITS_Y_DIRECTION

          public static final DicomAttribute PHYSICAL_UNITS_Y_DIRECTION

    - #### REFERENCE_PIXEL_PHYSICAL_VALUE_X

          public static final DicomAttribute REFERENCE_PIXEL_PHYSICAL_VALUE_X

    - #### REFERENCE_PIXEL_PHYSICAL_VALUE_Y

          public static final DicomAttribute REFERENCE_PIXEL_PHYSICAL_VALUE_Y

    - #### PHYSICAL_DELTA_X

          public static final DicomAttribute PHYSICAL_DELTA_X

    - #### PHYSICAL_DELTA_Y

          public static final DicomAttribute PHYSICAL_DELTA_Y

    - #### TRANSDUCER_FREQUENCY

          public static final DicomAttribute TRANSDUCER_FREQUENCY

    - #### TRANSDUCER_TYPE

          public static final DicomAttribute TRANSDUCER_TYPE

    - #### PULSE_REPETITION_FREQUENCY

          public static final DicomAttribute PULSE_REPETITION_FREQUENCY

    - #### DOPPLER_CORRECTION_ANGLE

          public static final DicomAttribute DOPPLER_CORRECTION_ANGLE

    - #### STEERING_ANGLE

          public static final DicomAttribute STEERING_ANGLE

    - #### DOPPLER_SAMPLE_VOLUME_X_POSITION

          public static final DicomAttribute DOPPLER_SAMPLE_VOLUME_X_POSITION

    - #### DOPPLER_SAMPLE_VOLUME_Y_POSITION

          public static final DicomAttribute DOPPLER_SAMPLE_VOLUME_Y_POSITION

    - #### TM_LINE_POSITION_X0

          public static final DicomAttribute TM_LINE_POSITION_X0

    - #### TM_LINE_POSITION_Y0

          public static final DicomAttribute TM_LINE_POSITION_Y0

    - #### TM_LINE_POSITION_X1

          public static final DicomAttribute TM_LINE_POSITION_X1

    - #### TM_LINE_POSITION_Y1

          public static final DicomAttribute TM_LINE_POSITION_Y1

    - #### PIXEL_COMPONENT_ORGANIZATION

          public static final DicomAttribute PIXEL_COMPONENT_ORGANIZATION

    - #### PIXEL_COMPONENT_MASK

          public static final DicomAttribute PIXEL_COMPONENT_MASK

    - #### PIXEL_COMPONENT_RANGE_START

          public static final DicomAttribute PIXEL_COMPONENT_RANGE_START

    - #### PIXEL_COMPONENT_RANGE_STOP

          public static final DicomAttribute PIXEL_COMPONENT_RANGE_STOP

    - #### PIXEL_COMPONENT_PHYSICAL_UNITS

          public static final DicomAttribute PIXEL_COMPONENT_PHYSICAL_UNITS

    - #### PIXEL_COMPONENT_DATA_TYPE

          public static final DicomAttribute PIXEL_COMPONENT_DATA_TYPE

    - #### NUMBER_OF_TABLE_BREAK_POINTS

          public static final DicomAttribute NUMBER_OF_TABLE_BREAK_POINTS

    - #### TABLE_OF_X_BREAK_POINTS

          public static final DicomAttribute TABLE_OF_X_BREAK_POINTS

    - #### TABLE_OF_Y_BREAK_POINTS

          public static final DicomAttribute TABLE_OF_Y_BREAK_POINTS

    - #### NUMBER_OF_TABLE_ENTRIES

          public static final DicomAttribute NUMBER_OF_TABLE_ENTRIES

    - #### TABLE_OF_PIXEL_VALUES

          public static final DicomAttribute TABLE_OF_PIXEL_VALUES

    - #### TABLE_OF_PARAMETER_VALUES

          public static final DicomAttribute TABLE_OF_PARAMETER_VALUES

    - #### R_WAVE_TIME_VECTOR

          public static final DicomAttribute R_WAVE_TIME_VECTOR

    - #### DETECTOR_CONDITIONS_NOMINAL_FLAG

          public static final DicomAttribute DETECTOR_CONDITIONS_NOMINAL_FLAG

    - #### DETECTOR_TEMPERATURE

          public static final DicomAttribute DETECTOR_TEMPERATURE

    - #### DETECTOR_TYPE

          public static final DicomAttribute DETECTOR_TYPE

    - #### DETECTOR_CONFIGURATION

          public static final DicomAttribute DETECTOR_CONFIGURATION

    - #### DETECTOR_DESCRIPTION

          public static final DicomAttribute DETECTOR_DESCRIPTION

    - #### DETECTOR_MODE

          public static final DicomAttribute DETECTOR_MODE

    - #### DETECTOR_ID

          public static final DicomAttribute DETECTOR_ID

    - #### DATE_OF_LAST_DETECTOR_CALIBRATION

          public static final DicomAttribute DATE_OF_LAST_DETECTOR_CALIBRATION

    - #### TIME_OF_LAST_DETECTOR_CALIBRATION

          public static final DicomAttribute TIME_OF_LAST_DETECTOR_CALIBRATION

    - #### DETECTOR_TIME_SINCE_LAST_EXPOSURE

          public static final DicomAttribute DETECTOR_TIME_SINCE_LAST_EXPOSURE

    - #### DETECTOR_ACTIVE_TIME

          public static final DicomAttribute DETECTOR_ACTIVE_TIME

    - #### DETECTOR_ACTIVATION_OFFSET

          public static final DicomAttribute DETECTOR_ACTIVATION_OFFSET

    - #### DETECTOR_BINNING

          public static final DicomAttribute DETECTOR_BINNING

    - #### DETECTOR_ELEMENT_PHYSICAL_SIZE

          public static final DicomAttribute DETECTOR_ELEMENT_PHYSICAL_SIZE

    - #### DETECTOR_ELEMENT_SPACING

          public static final DicomAttribute DETECTOR_ELEMENT_SPACING

    - #### DETECTOR_ACTIVE_SHAPE

          public static final DicomAttribute DETECTOR_ACTIVE_SHAPE

    - #### DETECTOR_ACTIVE_DIMENSIONS

          public static final DicomAttribute DETECTOR_ACTIVE_DIMENSIONS

    - #### DETECTOR_ACTIVE_ORIGIN

          public static final DicomAttribute DETECTOR_ACTIVE_ORIGIN

    - #### DETECTOR_MANUFACTURER_NAME

          public static final DicomAttribute DETECTOR_MANUFACTURER_NAME

    - #### DETECTOR_MODEL_NAME

          public static final DicomAttribute DETECTOR_MODEL_NAME

    - #### FOV_ORIGIN

          public static final DicomAttribute FOV_ORIGIN

    - #### FOV_ROTATION

          public static final DicomAttribute FOV_ROTATION

    - #### FOV_HORIZONTAL_FLIP

          public static final DicomAttribute FOV_HORIZONTAL_FLIP

    - #### GRID_ABSORBING_MATERIAL

          public static final DicomAttribute GRID_ABSORBING_MATERIAL

    - #### GRID_SPACING_MATERIAL

          public static final DicomAttribute GRID_SPACING_MATERIAL

    - #### GRID_THICKNESS

          public static final DicomAttribute GRID_THICKNESS

    - #### GRID_PITCH

          public static final DicomAttribute GRID_PITCH

    - #### GRID_ASPECT_RATIO

          public static final DicomAttribute GRID_ASPECT_RATIO

    - #### GRID_PERIOD

          public static final DicomAttribute GRID_PERIOD

    - #### GRID_FOCAL_DISTANCE

          public static final DicomAttribute GRID_FOCAL_DISTANCE

    - #### FILTER_MATERIAL

          public static final DicomAttribute FILTER_MATERIAL

    - #### FILTER_THICKNESS_MIN

          public static final DicomAttribute FILTER_THICKNESS_MIN

    - #### FILTER_THICKNESS_MAX

          public static final DicomAttribute FILTER_THICKNESS_MAX

    - #### EXPOSURE_CONTROL_MODE

          public static final DicomAttribute EXPOSURE_CONTROL_MODE

    - #### STUDY_INSTANCE_UID

          public static final DicomAttribute STUDY_INSTANCE_UID

    - #### SERIES_INSTANCE_UID

          public static final DicomAttribute SERIES_INSTANCE_UID

    - #### STUDY_ID

          public static final DicomAttribute STUDY_ID

    - #### SERIES_NUMBER

          public static final DicomAttribute SERIES_NUMBER

    - #### ACQUISITION_NUMBER

          public static final DicomAttribute ACQUISITION_NUMBER

    - #### INSTANCE_NUMBER

          public static final DicomAttribute INSTANCE_NUMBER

    - #### PATIENT_ORIENTATION

          public static final DicomAttribute PATIENT_ORIENTATION

    - #### IMAGE_POSITION

          public static final DicomAttribute IMAGE_POSITION

    - #### IMAGE_POSITION_PATIENT

          public static final DicomAttribute IMAGE_POSITION_PATIENT

    - #### IMAGE_ORIENTATION_PATIENT

          public static final DicomAttribute IMAGE_ORIENTATION_PATIENT

    - #### LOCATION

          public static final DicomAttribute LOCATION

    - #### FRAME_OF_REFERENCE_UID

          public static final DicomAttribute FRAME_OF_REFERENCE_UID

    - #### IMAGE_GEOMETRY_TYPE

          public static final DicomAttribute IMAGE_GEOMETRY_TYPE

    - #### ACQUISITIONS_IN_SERIES

          public static final DicomAttribute ACQUISITIONS_IN_SERIES

    - #### REFERENCE

          public static final DicomAttribute REFERENCE

    - #### SLICE_LOCATION

          public static final DicomAttribute SLICE_LOCATION

    - #### SAMPLES_PER_PIXEL

          public static final DicomAttribute SAMPLES_PER_PIXEL

    - #### SAMPLES_PER_PIXEL_USED

          public static final DicomAttribute SAMPLES_PER_PIXEL_USED

    - #### PHOTOMETRIC_INTERPRETATION

          public static final DicomAttribute PHOTOMETRIC_INTERPRETATION

    - #### PLANAR_CONFIGURATION

          public static final DicomAttribute PLANAR_CONFIGURATION

    - #### NUMBER_OF_FRAMES

          public static final DicomAttribute NUMBER_OF_FRAMES

    - #### FRAME_INCREMENT_POINTER

          public static final DicomAttribute FRAME_INCREMENT_POINTER

    - #### FRAME_DIMENSION_POINTER

          public static final DicomAttribute FRAME_DIMENSION_POINTER

    - #### ROWS

          public static final DicomAttribute ROWS

    - #### COLUMNS

          public static final DicomAttribute COLUMNS

    - #### PLANES

          public static final DicomAttribute PLANES

    - #### ULTRASOUND_COLOR_DATA_PRESENT

          public static final DicomAttribute ULTRASOUND_COLOR_DATA_PRESENT

    - #### PIXEL_SPACING

          public static final DicomAttribute PIXEL_SPACING

    - #### ZOOM_FACTOR

          public static final DicomAttribute ZOOM_FACTOR

    - #### ZOOM_CENTER

          public static final DicomAttribute ZOOM_CENTER

    - #### PIXEL_ASPECT_RATIO

          public static final DicomAttribute PIXEL_ASPECT_RATIO

    - #### CORRECTED_IMAGE

          public static final DicomAttribute CORRECTED_IMAGE

    - #### BITS_ALLOCATED

          public static final DicomAttribute BITS_ALLOCATED

    - #### BITS_STORED

          public static final DicomAttribute BITS_STORED

    - #### HIGH_BIT

          public static final DicomAttribute HIGH_BIT

    - #### PIXEL_REPRESENTATION

          public static final DicomAttribute PIXEL_REPRESENTATION

    - #### SMALLEST_IMAGE_PIXEL_VALUE

          public static final DicomAttribute SMALLEST_IMAGE_PIXEL_VALUE

    - #### LARGEST_IMAGE_PIXEL_VALUE

          public static final DicomAttribute LARGEST_IMAGE_PIXEL_VALUE

    - #### SMALLEST_PIXEL_VALUE_IN_SERIES

          public static final DicomAttribute SMALLEST_PIXEL_VALUE_IN_SERIES

    - #### LARGEST_PIXEL_VALUE_IN_SERIES

          public static final DicomAttribute LARGEST_PIXEL_VALUE_IN_SERIES

    - #### SMALLEST_IMAGE_PIXEL_VALUE_IN_PLANE

          public static final DicomAttribute SMALLEST_IMAGE_PIXEL_VALUE_IN_PLANE

    - #### LARGEST_IMAGE_PIXEL_VALUE_IN_PLANE

          public static final DicomAttribute LARGEST_IMAGE_PIXEL_VALUE_IN_PLANE

    - #### PIXEL_PADDING_VALUE

          public static final DicomAttribute PIXEL_PADDING_VALUE

    - #### QUALITY_CONTROL_IMAGE

          public static final DicomAttribute QUALITY_CONTROL_IMAGE

    - #### BURNED_IN_ANNOTATION

          public static final DicomAttribute BURNED_IN_ANNOTATION

    - #### PIXEL_INTENSITY_RELATIONSHIP

          public static final DicomAttribute PIXEL_INTENSITY_RELATIONSHIP

    - #### PIXEL_SIGN

          public static final DicomAttribute PIXEL_SIGN

    - #### WINDOW_CENTER

          public static final DicomAttribute WINDOW_CENTER

    - #### WINDOW_WIDTH

          public static final DicomAttribute WINDOW_WIDTH

    - #### RESCALE_INTERCEPT

          public static final DicomAttribute RESCALE_INTERCEPT

    - #### RESCALE_SLOPE

          public static final DicomAttribute RESCALE_SLOPE

    - #### RESCALE_TYPE

          public static final DicomAttribute RESCALE_TYPE

    - #### WINDOW_CENTER_AND_WIDTH_EXPLANATION

          public static final DicomAttribute WINDOW_CENTER_AND_WIDTH_EXPLANATION

    - #### RECOMMENDED_VIEWING_MODE

          public static final DicomAttribute RECOMMENDED_VIEWING_MODE

    - #### RED_LUT_DESCRIPTOR

          public static final DicomAttribute RED_LUT_DESCRIPTOR

    - #### GREEN_LUT_DESCRIPTOR

          public static final DicomAttribute GREEN_LUT_DESCRIPTOR

    - #### BLUE_LUT_DESCRIPTOR

          public static final DicomAttribute BLUE_LUT_DESCRIPTOR

    - #### PALETTE_LUT_UID

          public static final DicomAttribute PALETTE_LUT_UID

    - #### RED_LUT_DATA

          public static final DicomAttribute RED_LUT_DATA

    - #### GREEN_LUT_DATA

          public static final DicomAttribute GREEN_LUT_DATA

    - #### BLUE_LUT_DATA

          public static final DicomAttribute BLUE_LUT_DATA

    - #### SEGMENTED_RED_LUT_DATA

          public static final DicomAttribute SEGMENTED_RED_LUT_DATA

    - #### SEGMENTED_GREEN_LUT_DATA

          public static final DicomAttribute SEGMENTED_GREEN_LUT_DATA

    - #### SEGMENTED_BLUE_LUT_DATA

          public static final DicomAttribute SEGMENTED_BLUE_LUT_DATA

    - #### IMPLANT_PRESENT

          public static final DicomAttribute IMPLANT_PRESENT

    - #### PARTIAL_VIEW

          public static final DicomAttribute PARTIAL_VIEW

    - #### PARTIAL_VIEW_DESCRIPTION

          public static final DicomAttribute PARTIAL_VIEW_DESCRIPTION

    - #### LOSSY_IMAGE_COMPRESSION

          public static final DicomAttribute LOSSY_IMAGE_COMPRESSION

    - #### LOSSY_IMAGE_COMPRESSION_RATIO

          public static final DicomAttribute LOSSY_IMAGE_COMPRESSION_RATIO

    - #### LOSSY_IMAGE_COMPRESSION_METHOD

          public static final DicomAttribute LOSSY_IMAGE_COMPRESSION_METHOD

    - #### MODALITY_LUT_SEQUENCE

          public static final DicomAttribute MODALITY_LUT_SEQUENCE

    - #### LUT_DESCRIPTOR

          public static final DicomAttribute LUT_DESCRIPTOR

    - #### LUT_EXPLANATION

          public static final DicomAttribute LUT_EXPLANATION

    - #### MODALITY_LUT_TYPE

          public static final DicomAttribute MODALITY_LUT_TYPE

    - #### LUT_DATA

          public static final DicomAttribute LUT_DATA

    - #### VOI_LUT_SEQUENCE

          public static final DicomAttribute VOI_LUT_SEQUENCE

    - #### SOFTCOPY_VOI_LUT_SEQUENCE

          public static final DicomAttribute SOFTCOPY_VOI_LUT_SEQUENCE

    - #### BIPLANE_ACQUISITION_SEQUENCE

          public static final DicomAttribute BIPLANE_ACQUISITION_SEQUENCE

    - #### REPRESENTATIVE_FRAME_NUMBER

          public static final DicomAttribute REPRESENTATIVE_FRAME_NUMBER

    - #### FRAME_NUMBERS_OF_INTEREST

          public static final DicomAttribute FRAME_NUMBERS_OF_INTEREST

    - #### FRAME_OF_INTEREST_DESCRIPTION

          public static final DicomAttribute FRAME_OF_INTEREST_DESCRIPTION

    - #### FRAME_OF_INTEREST_TYPE

          public static final DicomAttribute FRAME_OF_INTEREST_TYPE

    - #### R_WAVE_POINTER

          public static final DicomAttribute R_WAVE_POINTER

    - #### MASK_SUBTRACTION_SEQUENCE

          public static final DicomAttribute MASK_SUBTRACTION_SEQUENCE

    - #### MASK_OPERATION

          public static final DicomAttribute MASK_OPERATION

    - #### APPLICABLE_FRAME_RANGE

          public static final DicomAttribute APPLICABLE_FRAME_RANGE

    - #### MASK_FRAME_NUMBERS

          public static final DicomAttribute MASK_FRAME_NUMBERS

    - #### CONTRAST_FRAME_AVERAGING

          public static final DicomAttribute CONTRAST_FRAME_AVERAGING

    - #### MASK_SUBPIXEL_SHIFT

          public static final DicomAttribute MASK_SUBPIXEL_SHIFT

    - #### TID_OFFSET

          public static final DicomAttribute TID_OFFSET

    - #### MASK_OPERATION_EXPLANATION

          public static final DicomAttribute MASK_OPERATION_EXPLANATION

    - #### DATA_POINT_ROWS

          public static final DicomAttribute DATA_POINT_ROWS

    - #### DATA_POINT_COLUMNS

          public static final DicomAttribute DATA_POINT_COLUMNS

    - #### SIGNAL_DOMAIN_COLUMNS

          public static final DicomAttribute SIGNAL_DOMAIN_COLUMNS

    - #### DATA_REPRESENTATION

          public static final DicomAttribute DATA_REPRESENTATION

    - #### PIXEL_MEASURES_SEQUENCE

          public static final DicomAttribute PIXEL_MEASURES_SEQUENCE

    - #### FRAME_VOI_LUT_SEQUENCE

          public static final DicomAttribute FRAME_VOI_LUT_SEQUENCE

    - #### PIXEL_VALUE_TRANSFORMATION_SEQUENCE

          public static final DicomAttribute PIXEL_VALUE_TRANSFORMATION_SEQUENCE

    - #### SIGNAL_DOMAIN_ROWS

          public static final DicomAttribute SIGNAL_DOMAIN_ROWS

    - #### NUMBER_OF_ENERGY_WINDOWS

          public static final DicomAttribute NUMBER_OF_ENERGY_WINDOWS

    - #### NUMBER_OF_DETECTORS

          public static final DicomAttribute NUMBER_OF_DETECTORS

    - #### NUMBER_OF_ROTATIONS

          public static final DicomAttribute NUMBER_OF_ROTATIONS

    - #### SLICE_VECTOR

          public static final DicomAttribute SLICE_VECTOR

    - #### NUMBER_OF_SLICES

          public static final DicomAttribute NUMBER_OF_SLICES

    - #### TYPE_OF_DETECTOR_MOTION

          public static final DicomAttribute TYPE_OF_DETECTOR_MOTION

    - #### IMAGE_ID

          public static final DicomAttribute IMAGE_ID

    - #### ICON_IMAGE_SEQUENCE

          public static final DicomAttribute ICON_IMAGE_SEQUENCE

    - #### BORDER_DENSITY

          public static final DicomAttribute BORDER_DENSITY

    - #### PIXEL_DATA_LENGTH

          public static final DicomAttribute PIXEL_DATA_LENGTH

    - #### EXTENDED_OFFSET_TABLE

          public static final DicomAttribute EXTENDED_OFFSET_TABLE

    - #### EXTENDED_OFFSET_TABLE_LENGTHS

          public static final DicomAttribute EXTENDED_OFFSET_TABLE_LENGTHS

    - #### FLOAT_PIXEL_DATA

          public static final DicomAttribute FLOAT_PIXEL_DATA

    - #### DOUBLE_FLOAT_PIXEL_DATA

          public static final DicomAttribute DOUBLE_FLOAT_PIXEL_DATA

    - #### PIXEL_DATA

          public static final DicomAttribute PIXEL_DATA

    - #### ITEM

          public static final DicomAttribute ITEM

    - #### ITEM_DELIMITATION_ITEM

          public static final DicomAttribute ITEM_DELIMITATION_ITEM

    - #### SEQUENCE_DELIMITATION_ITEM

          public static final DicomAttribute SEQUENCE_DELIMITATION_ITEM

    - #### TRAILING_PADDING

          public static final DicomAttribute TRAILING_PADDING

    - #### FILE_SET_ID

          public static final DicomAttribute FILE_SET_ID

    - #### FILE_SET_DESCRIPTOR_FILE_ID

          public static final DicomAttribute FILE_SET_DESCRIPTOR_FILE_ID

    - #### CHARSET_OF_FILE_SET_DESCRIPTOR_FILE

          public static final DicomAttribute CHARSET_OF_FILE_SET_DESCRIPTOR_FILE

    - #### OFFSET_FIRST_DIRECTORY_RECORD

          public static final DicomAttribute OFFSET_FIRST_DIRECTORY_RECORD

    - #### OFFSET_LAST_DIRECTORY_RECORD

          public static final DicomAttribute OFFSET_LAST_DIRECTORY_RECORD

    - #### FILE_SET_CONSISTENCY_FLAG

          public static final DicomAttribute FILE_SET_CONSISTENCY_FLAG

    - #### DIRECTORY_RECORD_SEQUENCE

          public static final DicomAttribute DIRECTORY_RECORD_SEQUENCE

    - #### OFFSET_OF_NEXT_DIRECTORY_RECORD

          public static final DicomAttribute OFFSET_OF_NEXT_DIRECTORY_RECORD

    - #### RECORD_IN_USE_FLAG

          public static final DicomAttribute RECORD_IN_USE_FLAG

    - #### OFFSET_OF_REFERENCED_DIRECTORY

          public static final DicomAttribute OFFSET_OF_REFERENCED_DIRECTORY

    - #### DIRECTORY_RECORD_TYPE

          public static final DicomAttribute DIRECTORY_RECORD_TYPE

    - #### PRIVATE_RECORD_UID

          public static final DicomAttribute PRIVATE_RECORD_UID

    - #### REFERENCED_FILE_ID

          public static final DicomAttribute REFERENCED_FILE_ID

    - #### MRDR_RECORD_OFFSET

          public static final DicomAttribute MRDR_RECORD_OFFSET

    - #### REFERENCED_SOP_CLASS_UID_FILE

          public static final DicomAttribute REFERENCED_SOP_CLASS_UID_FILE

    - #### REFERENCED_SOP_INSTANCE_UID_FILE

          public static final DicomAttribute REFERENCED_SOP_INSTANCE_UID_FILE

    - #### REFERENCED_TRANSFER_SYNTAX_UID_FILE

          public static final DicomAttribute REFERENCED_TRANSFER_SYNTAX_UID_FILE

    - #### REFERENCED_RELATED_SOP_CLASS_UID_FILE

          public static final DicomAttribute REFERENCED_RELATED_SOP_CLASS_UID_FILE

    - #### NUMBER_OF_REFERENCES

          public static final DicomAttribute NUMBER_OF_REFERENCES

    - #### ACQUISITION_DURATION

          public static final DicomAttribute ACQUISITION_DURATION

    - #### DIMENSION_ORGANIZATION_TYPE

          public static final DicomAttribute DIMENSION_ORGANIZATION_TYPE

    - #### DIMENSION_INDEX_SEQUENCE

          public static final DicomAttribute DIMENSION_INDEX_SEQUENCE

    - #### DIMENSION_INDEX_POINTER

          public static final DicomAttribute DIMENSION_INDEX_POINTER

    - #### DIMENSION_INDEX_PRIVATE_CREATOR

          public static final DicomAttribute DIMENSION_INDEX_PRIVATE_CREATOR

    - #### FUNCTIONAL_GROUP_POINTER

          public static final DicomAttribute FUNCTIONAL_GROUP_POINTER

    - #### FUNCTIONAL_GROUP_PRIVATE_CREATOR

          public static final DicomAttribute FUNCTIONAL_GROUP_PRIVATE_CREATOR

    - #### IN_CONCATENATION_NUMBER

          public static final DicomAttribute IN_CONCATENATION_NUMBER

    - #### CONCATENATION_FRAME_OFFSET_NUMBER

          public static final DicomAttribute CONCATENATION_FRAME_OFFSET_NUMBER

    - #### DIMENSION_ORGANIZATION_UID

          public static final DicomAttribute DIMENSION_ORGANIZATION_UID

    - #### DIMENSION_ORGANIZATION_SEQUENCE

          public static final DicomAttribute DIMENSION_ORGANIZATION_SEQUENCE

    - #### DIMENSION_DESCRIPTION_LABEL

          public static final DicomAttribute DIMENSION_DESCRIPTION_LABEL

    - #### ILLUMINATION_WAVELENGTH

          public static final DicomAttribute ILLUMINATION_WAVELENGTH

    - #### ILLUMINATION_TYPE_CODE_SEQUENCE

          public static final DicomAttribute ILLUMINATION_TYPE_CODE_SEQUENCE

    - #### LIGHT_PATH_FILTER_TYPE_STACK_CODE_SEQUENCE

          public static final DicomAttribute LIGHT_PATH_FILTER_TYPE_STACK_CODE_SEQUENCE

    - #### LIGHT_PATH_FILTER_PASSTHROUGH_WAVELENGTH

          public static final DicomAttribute LIGHT_PATH_FILTER_PASSTHROUGH_WAVELENGTH

    - #### LIGHT_PATH_FILTER_PASS_BAND

          public static final DicomAttribute LIGHT_PATH_FILTER_PASS_BAND

    - #### IMAGE_PATH_FILTER_PASSTHROUGH_WAVELENGTH

          public static final DicomAttribute IMAGE_PATH_FILTER_PASSTHROUGH_WAVELENGTH

    - #### IMAGE_PATH_FILTER_PASS_BAND

          public static final DicomAttribute IMAGE_PATH_FILTER_PASS_BAND

    - #### IMAGE_PATH_FILTER_TYPE_STACK_CODE_SEQUENCE

          public static final DicomAttribute IMAGE_PATH_FILTER_TYPE_STACK_CODE_SEQUENCE

    - #### LENSES_CODE_SEQUENCE

          public static final DicomAttribute LENSES_CODE_SEQUENCE

    - #### CHANNEL_DESCRIPTION_CODE_SEQUENCE

          public static final DicomAttribute CHANNEL_DESCRIPTION_CODE_SEQUENCE

    - #### ICC_PROFILE

          public static final DicomAttribute ICC_PROFILE

    - #### COLOR_SPACE

          public static final DicomAttribute COLOR_SPACE

    - #### CONTAINER_ID

          public static final DicomAttribute CONTAINER_ID

    - #### CONTAINER_ID_ISSUER_SEQUENCE

          public static final DicomAttribute CONTAINER_ID_ISSUER_SEQUENCE

    - #### CONTAINER_TYPE_CODE_SEQUENCE

          public static final DicomAttribute CONTAINER_TYPE_CODE_SEQUENCE

    - #### SPECIMEN_ID

          public static final DicomAttribute SPECIMEN_ID

    - #### SPECIMEN_UID

          public static final DicomAttribute SPECIMEN_UID

    - #### ACQUISITION_CONTEXT_SEQUENCE

          public static final DicomAttribute ACQUISITION_CONTEXT_SEQUENCE

    - #### SPECIMEN_DESCRIPTION_SEQUENCE

          public static final DicomAttribute SPECIMEN_DESCRIPTION_SEQUENCE

    - #### SPECIMEN_ID_ISSUER_SEQUENCE

          public static final DicomAttribute SPECIMEN_ID_ISSUER_SEQUENCE

    - #### SPECIMEN_PREP_SEQUENCE

          public static final DicomAttribute SPECIMEN_PREP_SEQUENCE

    - #### WHOLE_SLIDE_FRAME_TYPE_SEQUENCE

          public static final DicomAttribute WHOLE_SLIDE_FRAME_TYPE_SEQUENCE

    - #### X_OFFSET_IN_SLIDE

          public static final DicomAttribute X_OFFSET_IN_SLIDE

    - #### Y_OFFSET_IN_SLIDE

          public static final DicomAttribute Y_OFFSET_IN_SLIDE

    - #### Z_OFFSET_IN_SLIDE

          public static final DicomAttribute Z_OFFSET_IN_SLIDE

    - #### IMAGED_VOLUME_WIDTH

          public static final DicomAttribute IMAGED_VOLUME_WIDTH

    - #### IMAGED_VOLUME_HEIGHT

          public static final DicomAttribute IMAGED_VOLUME_HEIGHT

    - #### IMAGED_VOLUME_DEPTH

          public static final DicomAttribute IMAGED_VOLUME_DEPTH

    - #### TOTAL_PIXEL_MATRIX_COLUMNS

          public static final DicomAttribute TOTAL_PIXEL_MATRIX_COLUMNS

    - #### TOTAL_PIXEL_MATRIX_ROWS

          public static final DicomAttribute TOTAL_PIXEL_MATRIX_ROWS

    - #### TOTAL_PIXEL_MATRIX_ORIGIN_SEQUENCE

          public static final DicomAttribute TOTAL_PIXEL_MATRIX_ORIGIN_SEQUENCE

    - #### SPECIMEN_LABEL_IN_IMAGE

          public static final DicomAttribute SPECIMEN_LABEL_IN_IMAGE

    - #### FOCUS_METHOD

          public static final DicomAttribute FOCUS_METHOD

    - #### EXTENDED_DEPTH_OF_FIELD

          public static final DicomAttribute EXTENDED_DEPTH_OF_FIELD

    - #### NUMBER_OF_FOCAL_PLANES

          public static final DicomAttribute NUMBER_OF_FOCAL_PLANES

    - #### DISTANCE_BETWEEN_FOCAL_PLANES

          public static final DicomAttribute DISTANCE_BETWEEN_FOCAL_PLANES

    - #### RECOMMENDED_ABSENT_PIXEL_CIELAB_VALUE

          public static final DicomAttribute RECOMMENDED_ABSENT_PIXEL_CIELAB_VALUE

    - #### SLIDE_IMAGE_ORIENTATION

          public static final DicomAttribute SLIDE_IMAGE_ORIENTATION

    - #### OPTICAL_PATH_SEQUENCE

          public static final DicomAttribute OPTICAL_PATH_SEQUENCE

    - #### OPTICAL_PATH_ID

          public static final DicomAttribute OPTICAL_PATH_ID

    - #### OPTICAL_PATH_DESCRIPTION

          public static final DicomAttribute OPTICAL_PATH_DESCRIPTION

    - #### ILLUMINATOR_TYPE_CODE_SEQUENCE

          public static final DicomAttribute ILLUMINATOR_TYPE_CODE_SEQUENCE

    - #### ILLUMINATION_COLOR_CODE_SEQUENCE

          public static final DicomAttribute ILLUMINATION_COLOR_CODE_SEQUENCE

    - #### CONDENSER_LENS_POWER

          public static final DicomAttribute CONDENSER_LENS_POWER

    - #### OBJECTIVE_LENS_POWER

          public static final DicomAttribute OBJECTIVE_LENS_POWER

    - #### OBJECTIVE_LENS_NA

          public static final DicomAttribute OBJECTIVE_LENS_NA

    - #### PALETTE_COLOR_LUT_SEQUENCE

          public static final DicomAttribute PALETTE_COLOR_LUT_SEQUENCE

    - #### REFERENCED_IMAGE_NAVIGATION_SEQUENCE

          public static final DicomAttribute REFERENCED_IMAGE_NAVIGATION_SEQUENCE

    - #### OPTICAL_PATH_ID_SEQUENCE

          public static final DicomAttribute OPTICAL_PATH_ID_SEQUENCE

    - #### NUMBER_OPTICAL_PATHS

          public static final DicomAttribute NUMBER_OPTICAL_PATHS

    - #### TOTAL_PIXEL_MATRIX_FOCAL_PLANES

          public static final DicomAttribute TOTAL_PIXEL_MATRIX_FOCAL_PLANES

    - #### PRESENTATION_LUT_SHAPE

          public static final DicomAttribute PRESENTATION_LUT_SHAPE

    - #### PLANE_POSITION_SLIDE_SEQUENCE

          public static final DicomAttribute PLANE_POSITION_SLIDE_SEQUENCE

    - #### COLUMN_POSITION_IN_MATRIX

          public static final DicomAttribute COLUMN_POSITION_IN_MATRIX

    - #### ROW_POSITION_IN_MATRIX

          public static final DicomAttribute ROW_POSITION_IN_MATRIX

    - #### FRAME_CONTENT_SEQUENCE

          public static final DicomAttribute FRAME_CONTENT_SEQUENCE

    - #### FRAME_ACQUISITION_DATETIME

          public static final DicomAttribute FRAME_ACQUISITION_DATETIME

    - #### FRAME_REFERENCE_DATETIME

          public static final DicomAttribute FRAME_REFERENCE_DATETIME

    - #### FRAME_ACQUISITION_DURATION

          public static final DicomAttribute FRAME_ACQUISITION_DURATION

    - #### DIMENSION_INDEX_VALUES

          public static final DicomAttribute DIMENSION_INDEX_VALUES

    - #### SHARED_FUNCTIONAL_GROUPS_SEQUENCE

          public static final DicomAttribute SHARED_FUNCTIONAL_GROUPS_SEQUENCE

    - #### PER_FRAME_FUNCTIONAL_GROUPS_SEQUENCE

          public static final DicomAttribute PER_FRAME_FUNCTIONAL_GROUPS_SEQUENCE

    - #### BARCODE_VALUE

          public static final DicomAttribute BARCODE_VALUE

    - #### LABEL_TEXT

          public static final DicomAttribute LABEL_TEXT

    - #### VARIABLE_PIXEL_DATA

          public static final DicomAttribute VARIABLE_PIXEL_DATA

    - #### INVALID_PIXEL_DATA

          public static final DicomAttribute INVALID_PIXEL_DATA

    - #### INVALID

          public static final DicomAttribute INVALID

  - ### Field Detail

    - #### tag

          private int tag

    - #### description

          private java.lang.String description

    - #### defaultVR

          private DicomVR defaultVR

    - #### lookup

          private static final java.util.Map<java.lang.Integer,DicomAttribute> lookup

    - #### dict

          private static final java.util.Map<java.lang.Integer,java.lang.String[]> dict

    - #### nameLookup

          private static final java.util.Map<java.lang.String,java.lang.Integer> nameLookup

  - ### Method Detail

    - #### values

          public static DicomAttribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DicomAttribute c : DicomAttribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DicomAttribute valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### update

          private void update()

    - #### getDefaultVR

          public DicomVR getDefaultVR()

      Get the known default VR for this attribute, or IMPLICIT if our dictionary does not include a default VR.
      Returns:
        default VR or IMPLICIT, should not be null

    - #### getDefaultVR

          public static DicomVR getDefaultVR(int newTag)

    - #### getTag

          public int getTag()

      Get the 4 byte integer tag.
      Returns:
        tag

    - #### getDescription

          public java.lang.String getDescription()

      Get the human-readable description associated with this attribute.
      Returns:
        description

    - #### getDescription

          public static java.lang.String getDescription(int newTag)

    - #### getTag

          public static java.lang.Integer getTag(java.lang.String description)

    - #### get

          public static DicomAttribute get(int newTag)

      Lookup the attribute for the given tag. May return null if the tag is not defined in our dictionary.
      Parameters:
        `newTag` - 4 byte DICOM tag
      Returns:
        corresponding attribute, or null if not defined

    - #### formatTag

          public static java.lang.String formatTag(int tag)

      Format the given tag as a pair of comma-separated hex strings. For an input integer 0x89abcdef, the return value will be "89ab,cdef". This is similar to the format used in the DICOM schema. The tag need not be included in our dictionary.
      Parameters:
        `tag` - 4 byte DICOM tag
      Returns:
        corresponding hex string

Copyright © 2026 Open Microscopy Environment